function QLacune(sNomF){
	//VARIABLE DU CONSTRUCTEUR
	this.sNomFichier = sNomF;//Nom du fichier IE : questionxxx.html
	
	//AUTRES VARIABLE
	this.sRepAct = ""; //Rponse actuelle
	this.sBRep = ""; //Bonne rponse
	this.sBRepRetro = ""; //rtro de la bonne rponse
	this.sMRep = new Array(); //Array des mauvaise rep
	this.sMRepRetro = new Array(); //Array des retro des mauvaise rep
	this.sRepIncRetro = ""; //Retro de la reponse inconnue
	
	//VARIABLE COMMUNE
	this.iPond = 1;//Ponderation
	this.sDecDelimiter = ","; //Delimiteur de decimal
	this.iPointage = -1;
	this.sStatus = STATUS_AFAIRE;
	this.iNbEssais = 0;
	this.iID = 0;
	
	//DECLARATION DES FONCTIONS
	this.saveData = saveData;
	this.showData = showData;
	this.valider = valider;
	this.solution = solution;
	this.reprendre = reprendre;
	this.setPond = setPond;
	this.getNomFichier = getNomFichier;
	this.setDecDelimiter = setDecDelimiter;
	this.setPointage = setPointage;
	this.getStatus = getStatus;
	this.getNbEssais = getNbEssais;
	this.getPonderation = getPonderation;
	this.getPointage = getPointage;
	this.getRepActToHTML = getRepActToHTML;
	this.getBRepToHTML = getBRepToHTML;
	this.setID = setID;
	this.getID = getID;
	
	this.setReponse = setReponse;
	this.addMReponse = addMReponse;
	this.setRetroInconnue = setRetroInconnue;
	
	return this;
	
	//FONCTION COMMUNES A TOUTES LES QUESTIONS
	function saveData(){
		this.sRepAct = contenu.getObj("input0").value;
	}
	function showData(){
		contenu.getObj("input0").value = this.sRepAct;
		
		retro.reset();
		contenu.showPointage(this.iPointage);
	}
	function valider(bSilent){
		var sRetroAAfficher = "";
		var iPointage = 0;
		var sRetroToDisplay = "";
		var sBulletImg = "";
		var sMsg = "";
		var sRepToDisplay = "";
		var sMsgStyleClass = "";
		var sRepToValidate = "";
		
		if(!bSilent){
			this.saveData();
			this.iNbEssais++;
		}
		
		sRepToValidate = cleanForValid(this.sRepAct).toLowerCase();
		
		if(sRepToValidate == ""){
			sBulletImg = "jaune.jpg";
			sRepToDisplay = "-";
			sRetroToDisplay = "";
			sMsg = sMsgRepInc;
			sMsgStyleClass = "RetroRepInc";
		}else if(sRepToValidate == this.sBRep.toLowerCase()){
			sRetroToDisplay = this.sBRepRetro;
			sBulletImg = "vert.jpg";
			sRepToDisplay = this.sBRep;
			sMsg = sMsgBRep;
			sMsgStyleClass = "RetroBRep";
			
			iPointage = this.iPond;
		}else{
			var bFound = false;
			for(var i = 0;i < this.sMRep.length;i++){
				if(sRepToValidate == this.sMRep[i].toLowerCase()){
					sRepToDisplay = this.sMRep[i];
					sRetroToDisplay = this.sMRepRetro[i];
					
					bFound = true;
					break;
				}
			}
			if(!bFound){
				sRepToDisplay = this.sRepAct;
				sRetroToDisplay = this.sRepIncRetro;
			}
			
			sMsgStyleClass = "RetroMRep";
			sBulletImg = "rouge.jpg";
			sMsg = sMsgMRep;
		}
		
		sRetroAAfficher = "<h1 class=\"" + sMsgStyleClass + "\">" + sMsg + "</h1><br><br>";
		
		sRetroAAfficher += "<table border=\"0\" width=\"100%\" cellpadding=\"0\" cellspacing=\"0\">\n";
		
		//Bullet
		sRetroAAfficher += "<tr>\n";
		sRetroAAfficher += "<td valign=\"top\"><img src=\"commun/" + sBulletImg + "\"></td>";
		sRetroAAfficher += "<td valign=\"middle\"><img src=\"commun/spacer.gif\" width=\"10\" height=\"10\"></td>";
		
		//Choix
		sRetroAAfficher += "<td valign=\"top\" width=\"25%\"><h1 class=\"Retro\">" + sRepToDisplay + "&nbsp;&nbsp;</h1></td>";
		
		//Spacer
		sRetroAAfficher += "<td valign=\"middle\"><img src=\"commun/spacer.gif\" width=\"50\" height=\"10\"></td>";
		
		//Feedback
		sRetroAAfficher += "<td valign=\"top\" width=\"75%\"><h1 class=\"Retro\">" + sRetroToDisplay + "</h1></td>";
		
		sRetroAAfficher += "</tr>\n";
		
		if(bSilent){
			return iPointage;
		}else{
			if(iPointage == this.iPond){
				this.sStatus = STATUS_REUSSIE;
			}else{
				this.sStatus = STATUS_AREPRENDRE;
			}
			
			retro.showHTML(sRetroAAfficher);
			this.setPointage(iPointage);
		}
		
	}
	function solution(){
		var sRetroAAfficher = "";
		
		sRetroAAfficher = "<h1 class=\"RetroSolution\">" + sLblSolution + "</h1><br><br>";
		sRetroAAfficher += "<h1 class=\"Retro\">" + this.sBRep + "</h1>";
		
		retro.showHTML(sRetroAAfficher);
	}
	function reprendre(bSilent){
		this.sRepAct = "";
		
		this.sStatus = STATUS_AFAIRE;

		if(bSilent){
			this.iPointage = -1;
		}else{
			this.showData();
			this.setPointage(-1);
		}
	}
	
	function setPond(i){
		this.iPond = i;
	}
	function getNomFichier(){
		return this.sNomFichier;
	}
	function setDecDelimiter(s){
		this.sDecDelimiter = s;
	}
	function setPointage(i){
		this.iPointage = i;
		contenu.showPointage(this.iPointage);
		top.ccdmd_O.scormWp_O.setQuestionScore_V((this.getID() + 1),this.iPointage,this.getPonderation());
	}
	function getPointage(){
		return this.iPointage;
	}
	function getStatus(){
		return this.sStatus;
	}
	function getNbEssais(){
		return this.iNbEssais;
	}
	function getPonderation(){
		return this.iPond;
	}
	function getRepActToHTML(){
		var sToReturn = "";
		var sClass = "";
		
		if(this.sRepAct.toLowerCase() == this.sBRep.toLowerCase()){
			sClass = "BRep";
		}else{
			sClass = "MRep";
		}
		
		sToReturn += "<font class=\"" + sClass + "\">" + this.sRepAct + "</font>";
		
		return sToReturn;
	}
	function getBRepToHTML(){
		return "<font class=\"BRep\">" + this.sBRep + "</font>";
	}
	function setID(i){
		this.iID = i;
	}
	function getID(){
		return this.iID;
	}
	//FONCTION SPECIFIQUE A MULTIPLE
	function setReponse(sRep,sRetro){
		this.sBRep = sRep; //Bonne rponse
		this.sBRepRetro = sRetro; //rtro de la bonne rponse
	}
	function addMReponse(sMR,sMRRetro){
		this.sMRep[this.sMRep.length] = sMR; //push pas supporter par Netscape et MacIE
		this.sMRepRetro[this.sMRepRetro.length] = sMRRetro; //push pas supporter par Netscape et MacIE
	}
	function setRetroInconnue(sRInc){
		this.sRepIncRetro = sRInc;
	}
}