//VARIABLES GLOBALES
var oQuestions = new Array();
var oQuestionsOld = new Array();
var iIndexActuel = 0;
var bShowingResult = false;
var iShuffledOrder = new Array();
var imgManager = new ImageManager();

var sNomUsager = "";
var sPrenomUsager = "";
var sMatriculeUsager = "";
var sGroupeUsager = "";
var sCourrielUsager = "";
var sCoordUsager = "";

//CONSTANTES
//Type de multiple
var CHOIX_MULTIPLES = 0;
var REPONSES_MULTIPLES = 1;

//Type de closure
var SIMPLE = 0;
var MULTIPLE = 1;

//Type mise en ordre
var TEXTE = 0;
var IMAGE = 1;

//Type association
var TEXTE_TEXTE = 0;
var TEXTE_IMAGE = 1;
var IMAGE_TEXTE = 2;
var IMAGE_IMAGE = 3;

//Type detiquette
var LETTRES = 0;
var CHIFFRES = 1;
var NONE = 2;

//Type affichage damier
var NON_MASQUE = 0;
var MASQUE = 1;

//IMAGE SIZE
var iMaxImgHeight = 120;

//*** SETTINGS ***
//GENERAL
var sQuizName = "%TITRE";

//STATUS
var STATUS_AFAIRE = "%MSG_A_FAIRE";
var STATUS_AREPRENDRE = "%MSG_A_REPRENDRE";
var STATUS_ACOMPLETER = "%MSG_A_COMPLETER";
var STATUS_REUSSIE = "%MSG_REUSSIE";
var STATUS_NONE = " - ";

//DECIMAL
var sDecDelimiter = "%DELIMITER";

//COLONNES DE RESULTATS
var sTitreResultat = "%TITRE_RESULTAT";
var sColQuestion = "%COL_QUESTION";
var sColStatut = "%COL_STATUT";
var sColNbEssais = "%COL_NBESSAIS";
var sColPoints = "%COL_POINTS";

//MESSAGES
var sMsgBRep = "%MSG_BREP";
var sMsgMRep = "%MSG_MREP";
var sMsgRepInc = "%MSG_REP_INC";
var sMsgMotsMOrtho = "%MSG_MOTS_MORTHO";
var sMsgMotsManq = "%MSG_MOTS_MANQ";
var sMsgMotsTrop = "%MSG_MOTS_TROP";
var sMsgFinQuiz = "%MSG_FIN_QUIZ";
var sMsgNomAbsent = "%MSG_NOM_ABSENT";
var sMsgConfirmSubmit = "%MSG_CONFIRM_SOUM";
var sMsgConfirmReprendre = "%MSG_CONFIRM_REPRENDRE";

//FORMULAIRE DE SOUMISSION
var sLblNom = "%ETI_NOM";
var sLblPrenom = "%ETI_PRENOM";
var sLblMatricule = "%ETI_MATRICULE";
var sLblGroupe = "%ETI_GROUPE";
var sLblCourriel = "%ETI_COURRIEL";
var sLblCoord = "%ETI_COORD";
var bShowFormulaire = %AFFIFORMULAIRE;

//PALETTE
var sPosDelimiter = "%DELIMITER_POS";
var sLblSolution = "%MSG_SOLUTION";

//Fonctions
function initializeQuiz(){

	%JS_INIT_QUIZ

    //init du Wrapper Scorm
	// Creation d'un espace nom
	if (top.ccdmd_O == null) top.ccdmd_O = {};
	if (top.ccdmd_O.scormWp_O == null) top.ccdmd_O.scormWp_O = new NetquizScormWrapper_V ();
	
	// Set le score maximum du quiz, noter que vous pouvez passer le paramtre en type integer ou en type string,  votre choix.
	var iQuizPond = 0;
	for(var i = 0;i < oQuestions.length;i++){
	    iQuizPond += oQuestions[i].getPonderation();
	}
	top.ccdmd_O.scormWp_O.setScorePond_V (iQuizPond);

	//afficher la premiere question
	contenu.location.href = getQuestionActuelle().getNomFichier();
}
function shuffle(iNbQuestion){
	var oQuestionsTemp = new Array();
	
	iShuffledOrder = getShuffledOrder(oQuestions.length);
	oQuestionsOld = copyArray(oQuestions);
	
	for(var i = 0;i < oQuestions.length;i++){
		oQuestionsTemp[iShuffledOrder[i]] = oQuestionsOld[i];
	}
	
	oQuestions = new Array();

	for(var i = 0;i < iNbQuestion;i++){
		oQuestions[i] = oQuestionsTemp[i];
	}
}
function getQuestionActuelle(){
	return oQuestions[iIndexActuel];
}
function moveNext(){
	if(iIndexActuel == (oQuestions.length - 1)){
		alert(sMsgFinQuiz);
	}else{
		moveTo(iIndexActuel + 1);
	}
}
function movePrevious(){
	if(iIndexActuel == 0){
		//alert(DEBUT_QUIZ);
	}else{
		moveTo(iIndexActuel - 1);
	}
}
function moveTo(i){
	if((i >= 0) && (i < oQuestions.length)){
	    var oQuestionActuelle = getQuestionActuelle();
	    
		if(!bShowingResult){
			oQuestionActuelle.saveData();
			top.ccdmd_O.scormWp_O.setQuestionScore_V((oQuestionActuelle.getID() + 1),oQuestionActuelle.valider(true),oQuestionActuelle.getPonderation());
		}
		
		iIndexActuel = i;
		contenu.location.href = getQuestionActuelle().getNomFichier();
		
		return true;
	}
	return false;
}
function getReadablePos(){
	return (iIndexActuel + 1) + " " + sPosDelimiter + " " + oQuestions.length;
}
function showResultats(){
	contenu.location.href = "resultats.html";
	bShowingResult = true;
	retro.reset();
}
function soumettre(){
	return;
}
function finishQuiz(){
    top.ccdmd_O.scormWp_O.finish_V();
}