function ImageManager(){
	this.imgSize = new Array();
	
	this.addImage = addImage;
	this.getImageSize = getImageSize;
	this.getImageTag = getImageTag;
	
	//Add image
	function addImage(sImgName,iWidth,iHeight){
		this.imgSize[sImgName] = {width:iWidth, height:iHeight};
	}
	
	//Get image size
	function getImageSize(sImgName){
		return this.imgSize[sImgName];
	}
	
	//Get img tag
	function getImageTag(sImgName,iMaxWidth,iMaxHeight){
		var iNewWidth = 0;
		var iNewHeight = 0;
		var sImgTag = "";
		var oImgSize = this.getImageSize(sImgName);
		var iWidth = oImgSize.width;
		var iHeight = oImgSize.height;
		
		if(iMaxWidth && iWidth > iMaxWidth){
			iNewWidth = iMaxWidth;
			iNewHeight = b2(iWidth,iHeight,iMaxWidth);
		}else{
			iNewWidth = iWidth;
			iNewHeight = iHeight;
		}
		
		if(iMaxHeight && iNewHeight > iMaxHeight){
			iNewWidth = b2(iNewHeight,iNewWidth,iMaxHeight);
			iNewHeight = iMaxHeight;
		}
		
		iNewWidth = Math.round(iNewWidth);
		iNewHeight = Math.round(iNewHeight);
		
		sImgTag = "<img src=\"" + sImgName + "\" width=\"" + iNewWidth + "\" height=\"" + iNewHeight + "\">";

		return sImgTag;
	}
}