<?php
    include_once("langr.inc.php");
    include_once("settings.inc.php");
    include_once("functions.inc.php");

    //Get file name
    if(!isset($_GET["fn"])){
        urlRedirect("addquizlist.php");
    }
    $sFileName = $_GET["fn"];
    $sFilePath = $sXMLFileFolder . $sFileName;
    
    //Try to open it using xmldom
    //If it fails, return error
    if(!$xml = simplexml_load_file($sFilePath)){
        urlRedirect("addquizform.php?msg=0");
        exit();
    }
    
    //Get quiz info
    $sQuizTitre = toSQLString(html_entity_decode(XMLStrtoStr($xml->quiz->quiztitre)),false);
    $sQuizAuteur = toSQLString(html_entity_decode(XMLStrtoStr($xml->quiz->quizauteur)),false);
    $sQuizIdent = toSQLString($xml->quiz->quizident,false);
    $sQuizVersion = toSQLString($xml->quiz->quizversion,false);
    $oQuestions = $xml->quiz->questions->question;
    $iNbQuestions = count($oQuestions);
    
    //Check if quiz already exist
    $oServerConn = mysql_connect($sMySQLLocation,$sMySQLUser,$sMySQLPassword);
    if(!$oServerConn){
	die(mysql_error());
    }
    
    mysql_select_db($sMySQLDatabase);
    
    $oRS = executeQuery("select * from nq_quizs where QuizIdent = $sQuizIdent and QuizVersion = $sQuizVersion");
    
    if(mysql_num_rows($oRS) > 0){
        unlink($sFilePath);
        urlRedirect("addquizform.php?msg=1");
        exit();
    }
    
    //Insert quiz information in DB
    $sQuery =   "insert into nq_quizs (QuizIdent, QuizVersion, QuizName, NbQuestions, VersionDate, Password, Auteur, Actif) 
                values ($sQuizIdent,$sQuizVersion,$sQuizTitre,$iNbQuestions,now(),'',$sQuizAuteur,1)";
    
    executeQuery($sQuery);
    
    //Get the quiz index
    $oRS = executeQuery("select max(IDQuiz) as last_id from nq_quizs");
    $iIDQuiz = mysql_result($oRS,0,"last_id");

    //Loop for each questions
    $iNoQuestion = 0;
    foreach($oQuestions as $oQuestion){
        //Insert question information in DB
	$sQAtt = $oQuestion->attributes();
	$iType = intval($sQAtt["type"]);
        if($iType > 0){
            $sType = toSQLString($sTypeLabel[$iType]);
            
        }else{
            if($oQuestion->reponse->isrepmultiple == "true"){
                $sType = toSQLString($sTypeLabel[0]["reponses"]);
                
            }else{
                if(count($oQuestion->reponse->liste_choix->choix) == 2){
                    $sType = toSQLString($sTypeLabel[0]["vraifaux"]);
                }else{
                    $sType = toSQLString($sTypeLabel[0]["choix"]);
                }
            }
        }
        
        $sTitre = toSQLString(XMLStrtoStr($oQuestion->titre));
        $sEnonce = toSQLString(XMLStrtoStr($oQuestion->enonce));
	$iPonderation = $oQuestion->ponderation;
        $sReponseXML = toSQLString(XMLStrtoStr($oQuestion->reponse->asXML()));
        
        $sQuery =   "insert into nq_questions (QuestionName, QuestionType, QuestionTypeTD, Ponderation, EnonceHTML, ReponseXML, IDQuiz, NoQuestion) 
                    values ($sTitre,$iType,$sType,$iPonderation,$sEnonce,$sReponseXML,$iIDQuiz,$iNoQuestion)";
        
        executeQuery($sQuery);
        
        $iNoQuestion++;
    }
    urlRedirect("quizlist.php");
    
?>