function QClosure(iNb,sNomF){
	//VARIABLE DU CONSTRUCTEUR
	this.sNomFichier = sNomF;//Nom du fichier IE : questionxxx.html
	this.iNbChoix = iNb;//Nombre de choix de reponse
	
	//VARIABLE COMMUNE
	this.iPond = 1;//Ponderation
	this.sDecDelimiter = ","; //Delimiteur de decimal
	this.sStatus = STATUS_AFAIRE;
	this.iNbEssais = 0;
	this.iNo = 0;
	this.iIDType = 2;
	
	//AUTRES VARIABLE
	this.iBRep = new Array();
	this.iRepAct = new Array(iNb);
	this.sRepAct = new Array(iNb);
	this.sChoix = new Array(iNb);
	this.sChoixS = new Array(iNb);
	this.sTID = new Array(iNb);
	this.sCID = new Array(iNb);
	
	this.sTexte = "";
	this.iType = SIMPLE;
	this.sShowChoix = "";
	this.bShowChoix = false;
	
	for(var i = 0;i < iNb;i++){
		this.iRepAct[i] = -1;
		this.sRepAct[i] = "";
		this.sTID[i] = "input" + completeNumber(i,5);
	}
	
	//DECLARATION DES FONCTIONS
	this.saveData = saveData;
	this.showData = showData;
	this.reprendre = reprendre;
	this.setPond = setPond;
	this.getNomFichier = getNomFichier;
	this.setDecDelimiter = setDecDelimiter;
	this.getStatus = getStatus;
	this.getNbEssais = getNbEssais;
	this.getPonderation = getPonderation;
	this.getRepActToHTML = getRepActToHTML;
	this.setNo = setNo;
	this.getNo = getNo;
	
	this.setChoix = setChoix;
	this.setTexte = setTexte;
	this.setType = setType;
	this.setShowChoix = setShowChoix;
	this.generateRandomChoixList = generateRandomChoixList;
	
	this.postResult = postResult;
	
	return this;
	
	//FONCTION COMMUNES A TOUTES LES QUESTIONS
	function saveData(){
		if(this.iType == SIMPLE){
			for(var i = 0;i < this.iNbChoix;i++){
				this.sRepAct[i] = contenu.getObj("input" + i).value;
			}
		}else{
			for(var i = 0;i < this.iNbChoix;i++){
				this.iRepAct[i] = parseInt(contenu.getObj("input" + i).value);
			}
		}
	}
	function showData(){
		//Ajout 14 novembre 2005
		var sHTML = "";
		var sInputTag = "";
		
		sHTML =  "<p class=\"TexteClosure\">";
		sHTML += this.sTexte;
		
		
		for(var i = 0;i < this.iNbChoix;i++){
			if(this.iType == SIMPLE){
				sInputTag = "<input type=\"text\" id=\"input" + i + "\">";
				
				
			}else{
				sInputTag =  "<select id=\"input" + i + "\">";
				sInputTag += "<option value=\"-1\">&nbsp;</option>";
				for(var j = 0;j < this.sChoix[i].length;j++){
					sInputTag += "<option value=\"" + j + "\">" + this.sChoix[i][j] + "</option>";
				}
				sInputTag += "</select>";
			}
			
			sHTML = sHTML.replace("%input" + completeNumber(i,5), sInputTag);
		}
		
		sHTML += "</p>";
		
		if(this.sShowChoix != ""){
			sHTML += "<br><br><br><div align=\"center\"><table class=\"ChoixClosure\" border=\"0\" cellpadding=\"10\" cellspacing=\"0\"><tr><td><h1 class=\"Choix\">" + this.sShowChoix + "</td></tr></table></div></h1>";
		}
		
		contenu.getObj("tdContent").innerHTML = sHTML;
		
		if(this.iType == SIMPLE){
			for(var i = 0;i < this.iNbChoix;i++){
				contenu.getObj("input" + i).value = this.sRepAct[i];
			}
		}else{
			for(var i = 0;i < this.iNbChoix;i++){
				contenu.getObj("input" + i).options[(this.iRepAct[i] + 1)].selected = true;
			}
		}
		
		retro.reset();
	}
	function reprendre(bSilent){
		if(this.iType == SIMPLE){
			for(var i = 0;i < this.iNbChoix;i++){
				this.sRepAct[i] = "";
			}	
		}else{
			for(var i = 0;i < this.iNbChoix;i++){
				this.iRepAct[i] = -1;
			}
		}
		
		this.sStatus = STATUS_AFAIRE;
		
		if(!bSilent){
			this.showData();
		}
	}
	
	function setPond(i){
		this.iPond = i;
	}
	function getNomFichier(){
		return this.sNomFichier;
	}
	function setDecDelimiter(s){
		this.sDecDelimiter = s;
	}
	function getStatus(){
		return this.sStatus;
	}
	function getNbEssais(){
		return this.iNbEssais;
	}
	function getPonderation(){
		return this.iPond;
	}
	function getRepActToHTML(){
		var sToReturn = "";
		var sClass = "";
		
		if(this.iType == SIMPLE){
			for(var i = 0;i < this.sChoix.length;i++){
				if(this.sRepAct[i] == this.sChoix[i][0]){
					sClass = "BRep";
				}else{
					sClass = "MRep";
				}
				
				sToReturn += "<font class=\"" + sClass + "\">" + this.sRepAct[i] + "</font>&nbsp;&nbsp;";
			}
		}else{
			for(var i = 0;i < this.sChoix.length;i++){
				if(this.iRepAct[i] == this.iBRep[i]){
					sClass = "BRep";
				}else{
					sClass = "MRep";
				}
				
				sToReturn += "<font class=\"" + sClass + "\">" + this.sChoix[i][this.iRepAct[i]] + "</font>&nbsp;&nbsp;";
			}
		}
		
		return sToReturn;
	}
	function setNo(i){
		this.iNo = i;
	}
	function getNo(){
		return this.iNo;
	}
	//FONCTION SPECIFIQUE A CLOSURE
	function setChoix(i,s,sCID){
		this.sChoix[i] = s;
		this.sCID[i] = sCID;
		this.sCID[i][-1] = "";
		//this.generateRandomChoixList();
	}
	function setTexte(s){
		this.sTexte = s;
	}
	function setType(i){
		this.iType = i;
	}
	function setShowChoix(s){
		this.sShowChoix = s;
	}
	function generateRandomChoixList(){
		var iShuffledOrder;
	
		iShuffledOrder = getShuffledOrder(this.sChoix.length);
		this.sChoixS = copyArray(this.sChoix);
		
		for(var i = 0;i < this.sChoix.length;i++){
			this.sChoixS[iShuffledOrder[i]] = this.sChoix[i];
		}
	}
	//FUNCTION GESTION
	function postResult(sNextPage,bFinal){
		//Create form
		var sValidScriptURL = sMGURL + "/" + sValidScript;
		var sCIDs = "";
		
		var sFormHTML = "<form method=\"post\" action=\"" + sValidScriptURL + "\" id=\"postForm\">";
		sFormHTML += getHiddenInput("NextPage",sNextPage);
		sFormHTML += getHiddenInput("IDParticipant",iIDParticipant);
		sFormHTML += getHiddenInput("NoQuestion",this.iNo);
		sFormHTML += getHiddenInput("QuizIdent",sQuizIdent);
		sFormHTML += getHiddenInput("QuizVersion",sQuizVersion);
		sFormHTML += getHiddenInput("TypeQuestion",this.iIDType);
		
		if(this.iType == SIMPLE){
			for(var i = 0;i < this.sRepAct.length;i++){
				sFormHTML += getHiddenInput(this.sTID[i],this.sRepAct[i]);
			}
		}else{
			for(var i = 0;i < this.iRepAct.length;i++){
				sFormHTML += getHiddenInput(this.sTID[i],this.sCID[i][this.iRepAct[i]]);
			}
		}
		
		if(bFinal){
			sFormHTML += getHiddenInput("Final","1");
		}
		sFormHTML += "</form>";
		
		//Put the form in page
		contenu.getObj("postFormTD").innerHTML = sFormHTML;
		
		//Submit
		//alert(sFormHTML);
		contenu.getObj("postForm").submit();
		
		//contenu.location.href = sNextPage;
	}
}