function QDamier(sNomF){
	//VARIABLE DU CONSTRUCTEUR
	this.sNomFichier = sNomF;//Nom du fichier IE : questionxxx.html
	
	//AUTRES VARIABLE
	this.sChoixA = new Array();
	this.sChoixB = new Array();
	this.bFound = new Array();
	this.iChoixOrder = new Array();
	this.sLogo = new Array();
	this.sCID = new Array();
	this.iType = TEXTE_TEXTE;
	this.iAffichage = MASQUE;
	this.sBkgA = "FFFFFF";
	this.sBkgB = "FFFFFF";
	this.sRetro = "";
	
	//VARIABLE COMMUNE
	this.iPond = 1;//Ponderation
	this.sDecDelimiter = ","; //Delimiteur de decimal
	this.iTypeEti = NONE;
	this.iPointage = -1;
	this.sStatus = STATUS_AFAIRE;
	this.iNbEssais = 0;
	this.iNo = 0;
	this.iIDType = 7;
	
	//DECLARATION DES FONCTIONS
	this.saveData = saveData;
	this.showData = showData;
	this.reprendre = reprendre;
	this.setPond = setPond;
	this.getNomFichier = getNomFichier;
	this.setDecDelimiter = setDecDelimiter;
	this.getStatus = getStatus;
	this.getNbEssais = getNbEssais;
	this.getPonderation = getPonderation;
	this.setNo = setNo;
	this.getNo = getNo;
	
	this.addChoix = addChoix;
	this.getEmbedHTML = getEmbedHTML;
	this.setType = setType;
	this.setBrotherhoodFound = setBrotherhoodFound;
	this.setRetro = setRetro;
	this.setAffichage = setAffichage;
	this.shuffle = shuffle;
	this.setBkgA = setBkgA;
	this.setBkgB = setBkgB;
	
	this.postResult = postResult;
	
	return this;
	
	//FONCTION COMMUNES A TOUTES LES QUESTIONS
	function saveData(){
		
	}
	function showData(){
		contenu.getObj("input0").innerHTML = this.getEmbedHTML();
		
		retro.reset();
	}
	function reprendre(bSilent){
		for(var i = 0;i < this.bFound.length;i++){
			this.bFound[i] = false;
		}
	
		this.sStatus = STATUS_AFAIRE;
		
		if(!bSilent){
			this.showData();
		}
	}
	
	function setPond(i){
		this.iPond = i;
	}
	function getNomFichier(){
		return this.sNomFichier;
	}
	function setDecDelimiter(s){
		this.sDecDelimiter = s;
	}
	function getStatus(){
		return this.sStatus;
	}
	function getNbEssais(){
		return this.iNbEssais;
	}
	function getPonderation(){
		return this.iPond;
	}
	function setNo(i){
		this.iNo = i;
	}
	function getNo(){
		return this.iNo;
	}
	//FONCTION SPECIFIQUE A MISE EN ORDRE
	function addChoix(sCA,sCB,sCID,sLogo){
		var iLastIndex = this.sChoixA.length;
		
		this.sChoixA[iLastIndex] = sCA;
		this.sChoixB[iLastIndex] = sCB;
		this.sCID[iLastIndex] = sCID;
		this.sLogo[iLastIndex] = sLogo;
		this.bFound[iLastIndex] = false;
	}
	function getEmbedHTML(){
		var sEmbedHTML = "";
		var sFlashVars = "";
		
		for(var i = 0;i < this.sChoixA.length;i++){
			sFlashVars += "CA" + i + "=" + encodeURIComponent(this.sChoixA[i]) + "&";
			sFlashVars += "CB" + i + "=" + encodeURIComponent(this.sChoixB[i]) + "&";
			sFlashVars += "PCA" + i + "=" + this.iChoixOrder[i] + "&";
			sFlashVars += "PCB" + i + "=" + this.iChoixOrder[i + this.sChoixA.length] + "&";
			sFlashVars += "L" + i + "=" + encodeURIComponent(this.sLogo[i]) + "&";
			if(this.bFound[i]){
				sFlashVars += "M" + i + "=" + (this.iAffichage == 0 ? 1 : 0) + "&";
			}else{
				sFlashVars += "M" + i + "=" + this.iAffichage + "&";
			}
		}
		sFlashVars += "N=" + this.sChoixA.length + "&";
		sFlashVars += "M=" + this.iAffichage + "&";
		sFlashVars += "BKGA=" + this.sBkgA + "&";
		sFlashVars += "BKGB=" + this.sBkgB + "&";
		sFlashVars += "TYPE=" + this.iType;
	
		sEmbedHTML += "<div id=\"flashDiv\" style=\"position:relative; width:1px; height:1px; z-index:1;\">";
		sEmbedHTML += "	<table height=\"100%\" width=\"100%\" border=\"0\" cellspacing=\"0\" cellpadding=\"0\">";
		sEmbedHTML += "		<tr><td> ";
		sEmbedHTML += "		<OBJECT classid=\"clsid:D27CDB6E-AE6D-11cf-96B8-444553540000\" codebase=\"http://download.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version=6,0,0,0\" WIDTH=\"100%\" HEIGHT=\"100%\" id=\"resizable2\" ALIGN=\"\" VIEWASTEXT>";
 		sEmbedHTML += "		<PARAM NAME=\"movie\" VALUE=\"damier.swf\"> ";
 		sEmbedHTML += "		<PARAM NAME=\"salign\" VALUE=\"LT\"> ";
		sEmbedHTML += "		<PARAM NAME=\"quality\" VALUE=\"high\"> ";
		sEmbedHTML += "		<PARAM NAME=\"scale\" VALUE=\"noscale\"> ";
		sEmbedHTML += "		<PARAM NAME=\"bgcolor\" VALUE=\"#FFFFFF\">";
		sEmbedHTML += "		<PARAM NAME=\"wmode\" VALUE=\"transparent\">";
		sEmbedHTML += "		<PARAM NAME=\"FlashVars\" VALUE=\"" + sFlashVars + "\">";
		sEmbedHTML += "		<EMBED src=\"damier.swf?" + sFlashVars + "\" quality=\"high\" scale=\"noscale\" bgcolor=\"#FFFFFF\" wmode=\"transparent\"  WIDTH=\"100%\" HEIGHT=\"100%\" NAME=\"resizable2\" SALIGN=\"LT\" TYPE=\"application/x-shockwave-flash\" PLUGINSPAGE=\"http://www.macromedia.com/go/getflashplayer\"></EMBED>";
		sEmbedHTML += "		</OBJECT>";
		sEmbedHTML += "		</td></tr>";
		sEmbedHTML += "	</table>";
		sEmbedHTML += "</div>";
		
		return sEmbedHTML;
	}
	function setType(i){
		this.iType = i;
	}
	function setBrotherhoodFound(i){
		this.bFound[i] = true;
	}
	function setAffichage(i){
		this.iAffichage = i;
	}
	function setRetro(s){
		this.sRetro = s;
	}
	function setBkgA(s){
		this.sBkgA = s;
	}
	function setBkgB(s){
		this.sBkgB = s;
	}
	function shuffle(){
		this.iChoixOrder = getShuffledOrder(this.sChoixA.length * 2);
	}
	//FUNCTION GESTION
	function postResult(sNextPage,bFinal){
		//Create form
		var sValidScriptURL = sMGURL + "/" + sValidScript;
		var sCIDs = "";
		
		var sFormHTML = "<form method=\"post\" action=\"" + sValidScriptURL + "\" id=\"postForm\">";
		sFormHTML += getHiddenInput("NextPage",sNextPage);
		sFormHTML += getHiddenInput("IDParticipant",iIDParticipant);
		sFormHTML += getHiddenInput("NoQuestion",this.iNo);
		sFormHTML += getHiddenInput("QuizIdent",sQuizIdent);
		sFormHTML += getHiddenInput("QuizVersion",sQuizVersion);
		sFormHTML += getHiddenInput("TypeQuestion",this.iIDType);

		for(var i = 0;i < this.bFound.length;i++){
			sFormHTML += getHiddenInput(this.sCID[i],this.bFound[i]);
		}
		
		if(bFinal){
			sFormHTML += getHiddenInput("Final","1");
		}
		
		sFormHTML += "</form>";
		
		//Put the form in page
		contenu.getObj("postFormTD").innerHTML = sFormHTML;
		
		//Submit
		//alert(sFormHTML);
		contenu.getObj("postForm").submit();
		
		//contenu.location.href = sNextPage;
	}
}