function QMiseEnOrdre(sNomF){
	//VARIABLE DU CONSTRUCTEUR
	this.sNomFichier = sNomF;//Nom du fichier IE : questionxxx.html
	
	//AUTRES VARIABLE
	this.sChoix = new Array();
	this.oChoixImg = new Array();
	this.iPChoix = new Array(); //position des choix
	this.iPChoixDep = new Array();
	this.sCID = new Array();
	this.iShuffledOrder = new Array();
	this.iType = TEXTE;
	
	
	//VARIABLE COMMUNE
	this.iPond = 1;//Ponderation
	this.sDecDelimiter = ","; //Delimiteur de decimal
	this.iTypeEti = 0;
	this.sStatus = STATUS_AFAIRE;
	this.iNbEssais = 0;
	this.iNo = 0;
	this.iIDType = 5;
	
	//DECLARATION DES FONCTIONS
	this.saveData = saveData;
	this.showData = showData;
	this.reprendre = reprendre;
	this.setPond = setPond;
	this.getNomFichier = getNomFichier;
	this.setDecDelimiter = setDecDelimiter;
	this.getStatus = getStatus;
	this.getNbEssais = getNbEssais;
	this.getPonderation = getPonderation;
	this.getRepActToHTML = getRepActToHTML;
	this.setNo = setNo;
	this.getNo = getNo;
	
	this.addChoix = addChoix;
	this.getEmbedHTML = getEmbedHTML;
	this.setType = setType;
	this.setTypeEtiquette = setTypeEtiquette;
	this.setChoixPos = setChoixPos;
	this.shuffle = shuffle;
	this.getRealId = getRealId;
	this.unshuffle = unshuffle;
	
	this.postResult = postResult;
	
	return this;
	
	//FONCTION COMMUNES A TOUTES LES QUESTIONS
	function saveData(){
		
	}
	function showData(){
		contenu.getObj("input0").innerHTML = this.getEmbedHTML();
		
		retro.reset();
		contenu.showPointage(this.iPointage);
	}
	function reprendre(bSilent){
		for(var i = 0;i < this.iPChoixDep.length;i++){
			this.iPChoix[i] = this.iPChoixDep[i];
		}
	
		this.sStatus = STATUS_AFAIRE;

		if(!bSilent){
			this.showData();
		}
	}
	
	function setPond(i){
		this.iPond = i;
	}
	function getNomFichier(){
		return this.sNomFichier;
	}
	function setDecDelimiter(s){
		this.sDecDelimiter = s;
	}
	function getStatus(){
		return this.sStatus;
	}
	function getNbEssais(){
		return this.iNbEssais;
	}
	function getPonderation(){
		return this.iPond;
	}
	function getRepActToHTML(){
		var sToReturn = "";
		var sClass = "";
		
		for(var i = 0;i < this.iPChoix.length;i++){
			switch(this.iTypeEti){
				case LETTRES:case NONE:
					sEti = getLetter(this.iPChoix[i] + 1).toUpperCase();
					break;
				case CHIFFRES:
					sEti = (this.iPChoix[i] + 1);
					break;
			}
			
			if(this.iPChoix[i] == i){
				sClass = "BRep";
			}else{
				sClass = "MRep";
			}
			
			sToReturn += "<font class=\"" + sClass + "\">" + sEti + "</font>&nbsp;&nbsp;";
		} 
		
		return sToReturn;
	}
	function setNo(i){
		this.iNo = i;
	}
	function getNo(){
		return this.iNo;
	}
	//FONCTION SPECIFIQUE A MISE EN ORDRE
	function addChoix(sC,iP,sCID){
		var iLastIndex = this.sChoix.length;
		
		this.sChoix[iLastIndex] = sC;
		this.iPChoix[iLastIndex] = iP;
		this.iPChoixDep[iLastIndex] = iP;
		this.sCID[iLastIndex] = sCID;
		this.iShuffledOrder[iLastIndex] = iLastIndex;
	}
	function getEmbedHTML(){
		var sEmbedHTML = "";
		var sFlashVars = "";
		
		for(var i = 0;i < this.sChoix.length;i++){
			sFlashVars += "C" + i + "=" + encodeURIComponent(this.sChoix[i]) + "&";
			sFlashVars += "PC" + i + "=" + this.iPChoix[i] + "&";
		}
		
		if(navigator.userAgent.indexOf("MSIE") > -1){
			sFlashVars += "IE=1&";
		}else{
			sFlashVars += "IE=0&";
		}
		
		sFlashVars += "N=" + this.sChoix.length + "&";
		sFlashVars += "Type=" + this.iType + "&";
		sFlashVars += "TypeEti=" + this.iTypeEti;
	
		sEmbedHTML += "<div id=\"flashDiv\" style=\"position:relative; width:1px; height:1px; z-index:1;\">\n";
		sEmbedHTML += "	<table height=\"100%\" width=\"100%\" border=\"0\" cellspacing=\"0\" cellpadding=\"0\">\n";
		sEmbedHTML += "		<tr><td>\n";
		sEmbedHTML += "		<OBJECT classid=\"clsid:D27CDB6E-AE6D-11cf-96B8-444553540000\" codebase=\"http://download.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version=6,0,0,0\" WIDTH=\"100%\" HEIGHT=\"100%\" id=\"resizable2\" ALIGN=\"\" VIEWASTEXT>\n";
 		sEmbedHTML += "		<PARAM NAME=\"movie\" VALUE=\"miseenordre.swf\"> \n";
 		sEmbedHTML += "		<PARAM NAME=\"salign\" VALUE=\"LT\"> \n";
		sEmbedHTML += "		<PARAM NAME=\"quality\" VALUE=\"high\"> \n";
		sEmbedHTML += "		<PARAM NAME=\"scale\" VALUE=\"noscale\"> \n";
		sEmbedHTML += "		<PARAM NAME=\"bgcolor\" VALUE=\"#FFFFFF\">\n";
		sEmbedHTML += "		<PARAM NAME=\"wmode\" VALUE=\"transparent\">";
		sEmbedHTML += "		<PARAM NAME=\"FlashVars\" VALUE=\"" + sFlashVars + "\">\n";
		sEmbedHTML += "		<EMBED src=\"miseenordre.swf?" + sFlashVars + "\" quality=\"high\" scale=\"noscale\" bgcolor=\"#FFFFFF\" wmode=\"transparent\"  WIDTH=\"100%\" HEIGHT=\"100%\" NAME=\"resizable2\" SALIGN=\"LT\" TYPE=\"application/x-shockwave-flash\" PLUGINSPAGE=\"http://www.macromedia.com/go/getflashplayer\"></EMBED>\n";
		sEmbedHTML += "		</OBJECT>\n";
		sEmbedHTML += "		</td></tr>\n";
		sEmbedHTML += "	</table>\n";
		sEmbedHTML += "</div>\n";
		
		return sEmbedHTML;
	}
	function setType(i){
		this.iType = i;
	}
	function setTypeEtiquette(i){
		this.iTypeEti = i;
	}
	function setChoixPos(iC,iPos){
		this.iPChoix[iC] = iPos;
		retro.reset();
	}
	function setImageSmallSize(sImg,iW,iH){
		this.iImagesWidth[sImg] = iW;
		this.iImagesHeight[sImg] = iH;
	}
	function shuffle(){
		this.iShuffledOrder = getShuffledOrder(this.sChoix.length);
		
		this.iPChoix = copyArray(this.iShuffledOrder);
		this.iPChoixDep = copyArray(this.iShuffledOrder);
	}
	function unshuffle(a){
		var toReturn = new Array();
	
		for(var i = 0;i < a.length;i++){
			toReturn[this.getRealId(i)] = a[i];
		}
		
		return toReturn;
	}
	function getRealId(iShuffled){
		for(var i = 0;i < this.iShuffledOrder.length;i++){
			if(this.iShuffledOrder[i] == iShuffled){
				return i;
			}
		}
	}
	//FUNCTION GESTION
	function postResult(sNextPage,bFinal){
		//Create form
		var sValidScriptURL = sMGURL + "/" + sValidScript;
		var sCIDs = "";
		var sCIDOrdreActuel = new Array();
		
		for(var i = 0;i < this.iPChoix.length;i++){
			sCIDOrdreActuel[this.iPChoix[i]] = this.sCID[i];
		}
		
		for(var i = 0;i < sCIDOrdreActuel.length;i++){
			sCIDs += sCIDOrdreActuel[i] + ",";
		}
		
		var sFormHTML = "<form method=\"post\" action=\"" + sValidScriptURL + "\" id=\"postForm\">";
		sFormHTML += getHiddenInput("NextPage",sNextPage);
		sFormHTML += getHiddenInput("IDParticipant",iIDParticipant);
		sFormHTML += getHiddenInput("NoQuestion",this.iNo);
		sFormHTML += getHiddenInput("QuizIdent",sQuizIdent);
		sFormHTML += getHiddenInput("QuizVersion",sQuizVersion);
		sFormHTML += getHiddenInput("TypeQuestion",this.iIDType);
		sFormHTML += getHiddenInput("Reponse",sCIDs);
		if(bFinal){
			sFormHTML += getHiddenInput("Final","1");
		}
		sFormHTML += "</form>";
		
		//Put the form in page
		contenu.getObj("postFormTD").innerHTML = sFormHTML;
		
		//Submit
		//alert(sFormHTML);
		contenu.getObj("postForm").submit();
		
		//contenu.location.href = sNextPage;
	}
}