function QZone(sNomF){
	//VARIABLE DU CONSTRUCTEUR
	this.sNomFichier = sNomF;//Nom du fichier IE : questionxxx.html
	
	//AUTRES VARIABLE
	this.sChoix = new Array();
	this.oChoixImg = new Array();   
	this.sCoord = new Array(); 
	this.iPChoix = new Array();
	this.sCID = new Array();
	this.iType = TEXTE;
	this.sImg = "";
	this.iImgW = 0;
	this.iImgH = 0;
	this.iLabelW = 25;
	this.iLabelH = 25;
	this.sBorderColor = "000000";
	
	//VARIABLE COMMUNE
	this.iPond = 1;//Ponderation
	this.sDecDelimiter = ","; //Delimiteur de decimal
	this.iPointage = -1;
	this.iTypeEti = LETTRES; 
	this.sStatus = STATUS_AFAIRE;
	this.iNbEssais = 0;
	this.iNo = 0;
	this.iIDType = 8;
	
	//DECLARATION DES FONCTIONS
	this.saveData = saveData;
	this.showData = showData;
	this.reprendre = reprendre;
	this.setPond = setPond;
	this.getNomFichier = getNomFichier;
	this.setDecDelimiter = setDecDelimiter;
	this.getStatus = getStatus;
	this.getNbEssais = getNbEssais;
	this.getPonderation = getPonderation;
	this.getRepActToHTML = getRepActToHTML;
	this.setImgSize = setImgSize;
	this.setLabelSize = setLabelSize;
	this.setNo = setNo;
	this.getNo = getNo;
	this.setBorderColor = setBorderColor;
	
	this.addChoix = addChoix;
	this.getEmbedHTML = getEmbedHTML;
	this.setType = setType;
	this.setTypeEtiquette = setTypeEtiquette;
	this.setImage = setImage;
	this.shuffle = shuffle;
	this.setChoixPos = setChoixPos;
	
	this.postResult = postResult;
	
	this.sCoord[-1] = "";
	
	return this;
	
	//FONCTION COMMUNES A TOUTES LES QUESTIONS
	function saveData(){
		
	}
	function showData(){
		var sChoixAct = "";
		var sInputHTML = "";
		
		sInputHTML = "<br><table width=\"100%\" cellpadding=\"0\" cellspacing=\"0\" border=\"0\">\n";
	
		for(var i = 0;i < this.sChoix.length;i++){
			//contenu.getObj("input" + i).checked = this.iRepAct[i];	
			switch(this.iTypeEti){
				case LETTRES:
					sEti = getLetter(i + 1).toUpperCase() + ")&nbsp;&nbsp;";
					break;
				case CHIFFRES:
					sEti = (i + 1) + ")&nbsp;&nbsp;";
					break;
				case NONE:
					sEti = "";
					break;
			}
			
			if(this.iType == TEXTE){
				sChoixAct = this.sChoix[i];
			}else{
				//sChoixAct = "<img src=\"librairie/" + this.sChoix[i] + "\" align=\"absmiddle\">&nbsp;&nbsp;";
				sChoixAct = imgManager.getImageTag("librairie/" + this.sChoix[i],null,iMaxImgHeight,"align=\"absmiddle\"");
			}
			
			sInputHTML += "<tr>\n";
			sInputHTML += "	<td width=\"50\" height=\"20\" align=\"left\" valign=\"middle\"><h1 class=\"Lettre\">" + sEti + "</h1>\n";
			sInputHTML += "	</td>\n";
			sInputHTML += "	<td width=\"100%\" height=\"20\" align=\"left\" valign=\"middle\"><h1 class=\"Choix\">" + sChoixAct + "</h1>\n";
			sInputHTML += "	</td>\n";
			sInputHTML += "</tr>\n";
			sInputHTML += "<tr>\n";
			sInputHTML += "	<td align=\"left\" width=\"100%\" height=\"20\" colspan=\"2\">&nbsp;</td>\n";
			sInputHTML += "</tr>\n";
		}
		
		sInputHTML += "</table>";
		
		contenu.getObj("input0").innerHTML = this.getEmbedHTML(false,false) + "\n" + sInputHTML;
		//alert(this.getEmbedHTML(false) + "\n" + sInputHTML);
		retro.reset();
		contenu.showPointage(this.iPointage);
	}
	function reprendre(bSilent){
		for(var i = 0;i < this.iPChoix.length;i++){
			this.iPChoix[i] = -1;
		}
		
		this.sStatus = STATUS_AFAIRE;
		
		if(bSilent){
			this.iPointage = -1;
		}else{
			this.showData();
			this.setPointage(-1);
		}
	}
	function setPond(i){
		this.iPond = i;
	}
	function getNomFichier(){
		return this.sNomFichier;
	}
	function setDecDelimiter(s){
		this.sDecDelimiter = s;
	}
	function getStatus(){
		return this.sStatus;
	}
	function getNbEssais(){
		return this.iNbEssais;
	}
	function getPonderation(){
		return this.iPond;
	}
	function getRepActToHTML(){
		var sToReturn = "";
		var sClass = "";
		
		for(var i = 0;i < this.iPChoix.length;i++){
			switch(this.iTypeEti){
				case LETTRES:case NONE:
					sEti = getLetter(i + 1).toUpperCase();
					break;
				case CHIFFRES:
					sEti = (i + 1);
					break;
			}
			
			if(this.iPChoix[i] == i){
				sClass = "BRep";
			}else{
				sClass = "MRep";
			}
			
			sToReturn += "<font class=\"" + sClass + "\">" + sEti + "</font>&nbsp;&nbsp;";
		} 
		
		return sToReturn;
	}
	function setImgSize(iW,iH){
		this.iImgW = iW;
		this.iImgH = iH;
	}
	function setNo(i){
		this.iNo = i;
	}
	function getNo(){
		return this.iNo;
	}
	//FONCTION SPECIFIQUE A ASSOCIATION
	function addChoix(sC,sCID,sCo){
		var iLastIndex = this.sChoix.length;
		
		this.sChoix[iLastIndex] = sC;  
		this.sCID[iLastIndex] = sCID;
		this.sCoord[iLastIndex] = sCo;
		this.iPChoix[iLastIndex] = -1;
	}
	function getEmbedHTML(bShowSolution,bEmpty){
		var sEmbedHTML = "";
		var sFlashVars = "";
		
		for(var i = 0;i < this.sChoix.length;i++){
			sFlashVars += "C" + i + "=" + this.sCoord[i] + "&";
			sFlashVars += "PC" + i + "=" + this.iPChoix[i] + "&";
		}
		sFlashVars += "N=" + this.sChoix.length + "&";
		if(!bEmpty){
			sFlashVars += "IMG=" + this.sImg + "&";
		}
		sFlashVars += "EW=" + this.iImgW + "&";
		sFlashVars += "EH=" + this.iImgH + "&";
		sFlashVars += "LW=" + this.iLabelW + "&";
		sFlashVars += "LH=" + this.iLabelH + "&";
		sFlashVars += "BC=0x" + this.sBorderColor + "&";
		
		sFlashVars += "SS=" + (bShowSolution ? "1" : "0") + "&";
		sFlashVars += "TypeEti=" + this.iTypeEti;
		
		sEmbedHTML += "<div id=\"flashDiv\" style=\"position:relative; width:1px; height:1px; z-index:1;\">";
		sEmbedHTML += "	 <table height=\"100%\" width=\"100%\" border=\"0\" cellspacing=\"0\" cellpadding=\"0\">";
		sEmbedHTML += "		<tr><td> ";
		sEmbedHTML += "		<OBJECT classid=\"clsid:D27CDB6E-AE6D-11cf-96B8-444553540000\" codebase=\"http://download.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version=6,0,0,0\" WIDTH=\"100%\" HEIGHT=\"100%\" id=\"resizable2\" ALIGN=\"\" VIEWASTEXT>";
 		sEmbedHTML += "		<PARAM NAME=\"movie\" VALUE=\"zone.swf\"> ";
 		sEmbedHTML += "		<PARAM NAME=\"salign\" VALUE=\"LT\"> ";
		sEmbedHTML += "		<PARAM NAME=\"quality\" VALUE=\"high\"> ";
		sEmbedHTML += "		<PARAM NAME=\"scale\" VALUE=\"noscale\"> ";
		sEmbedHTML += "		<PARAM NAME=\"bgcolor\" VALUE=\"#FFFFFF\">";
		sEmbedHTML += "		<PARAM NAME=\"wmode\" VALUE=\"transparent\">";
		sEmbedHTML += "		<PARAM NAME=\"FlashVars\" VALUE=\"" + sFlashVars + "\">";
		sEmbedHTML += "		<EMBED src=\"zone.swf?" + sFlashVars + "\" quality=\"high\" scale=\"noscale\" bgcolor=\"#FFFFFF\" wmode=\"transparent\"  WIDTH=\"100%\" HEIGHT=\"100%\" NAME=\"resizable2\" SALIGN=\"LT\" TYPE=\"application/x-shockwave-flash\" PLUGINSPAGE=\"http://www.macromedia.com/go/getflashplayer\"></EMBED>";
		sEmbedHTML += "		</OBJECT>";
		sEmbedHTML += "		</td></tr>";
		sEmbedHTML += "	  </table>";
		sEmbedHTML += "</div>";
		
		return sEmbedHTML;
	}
	function setType(i){
		this.iType = i;
	}
	function setTypeEtiquette(i){
		this.iTypeEti = i;
	}
	function setChoixPos(iC,iP){
		this.iPChoix[iC] = iP;
	}
	function setImage(s){
		this.sImg = s;
	}
	function setLabelSize(iW,iH){
		this.iLabelW = iW;
		this.iLabelH = iH;
	}
	function setBorderColor(s){
		this.sBorderColor = s;
	}
	function shuffle(){
		var iShuffledOrder = getShuffledOrder(this.sChoix.length);
		var sChoixO = copyArray(this.sChoix);
		var sCIDO = copyArray(this.sCID);
		var sCoordO = copyArray(this.sCoord);
			
		for(var i = 0;i < this.sChoix.length;i++){
			this.sChoix[iShuffledOrder[i]] = sChoixO[i];
			this.sCID[iShuffledOrder[i]] = sCIDO[i];
			this.sCoord[iShuffledOrder[i]] = sCoordO[i];
			
		}
	}
	//FUNCTION GESTION
	function postResult(sNextPage,bFinal){
		//Create form
		var sValidScriptURL = sMGURL + "/" + sValidScript;
		var sCIDs = "";
		
		var sFormHTML = "<form method=\"post\" action=\"" + sValidScriptURL + "\" id=\"postForm\">";
		sFormHTML += getHiddenInput("NextPage",sNextPage);
		sFormHTML += getHiddenInput("IDParticipant",iIDParticipant);
		sFormHTML += getHiddenInput("NoQuestion",this.iNo);
		sFormHTML += getHiddenInput("QuizIdent",sQuizIdent);
		sFormHTML += getHiddenInput("QuizVersion",sQuizVersion);
		sFormHTML += getHiddenInput("TypeQuestion",this.iIDType);
		
		for(var i = 0;i < this.sCID.length;i++){
			sFormHTML += getHiddenInput(this.sCID[i],this.sCoord[this.iPChoix[i]]);
		}
		
		if(bFinal){
			sFormHTML += getHiddenInput("Final","1");
		}
		
		sFormHTML += "</form>";
		
		//Put the form in page
		contenu.getObj("postFormTD").innerHTML = sFormHTML;
		
		//Submit
		//alert(sFormHTML);
		contenu.getObj("postForm").submit();
		//contenu.location.href = sNextPage;
	}
}