function QDamier(sNomF){
	//VARIABLE DU CONSTRUCTEUR
	this.sNomFichier = sNomF;//Nom du fichier IE : questionxxx.html
	
	//AUTRES VARIABLE
	this.sChoixA = new Array();
	this.sChoixB = new Array();
	this.bFound = new Array();
	this.iChoixOrder = new Array();
	this.sLogo = new Array();
	this.iType = TEXTE_TEXTE;
	this.iAffichage = MASQUE;
	this.sBkgA = "FFFFFF";
	this.sBkgB = "FFFFFF";
	this.sRetro = "";
	
	//VARIABLE COMMUNE
	this.iPond = 1;//Ponderation
	this.sDecDelimiter = ","; //Delimiteur de decimal
	this.iTypeEti = NONE;
	this.iPointage = -1;
	this.sStatus = STATUS_AFAIRE;
	this.iNbEssais = 0;
	this.iID = 0;
	
	//DECLARATION DES FONCTIONS
	this.saveData = saveData;
	this.showData = showData;
	this.valider = valider;
	this.solution = solution;
	this.reprendre = reprendre;
	this.setPond = setPond;
	this.getNomFichier = getNomFichier;
	this.setDecDelimiter = setDecDelimiter;
	this.setPointage = setPointage;
	this.getStatus = getStatus;
	this.getNbEssais = getNbEssais;
	this.getPonderation = getPonderation;
	this.getPointage = getPointage;
	this.getRepActToHTML = getRepActToHTML;
	this.getBRepToHTML = getBRepToHTML;
	this.setID = setID;
	this.getID = getID;
	
	this.addChoix = addChoix;
	this.getEmbedHTML = getEmbedHTML;
	this.setType = setType;
	this.setBrotherhoodFound = setBrotherhoodFound;
	this.setRetro = setRetro;
	this.setAffichage = setAffichage;
	this.shuffle = shuffle;
	this.setBkgA = setBkgA;
	this.setBkgB = setBkgB;
	
	return this;
	
	//FONCTION COMMUNES A TOUTES LES QUESTIONS
	function saveData(){
		
	}
	function showData(){
		contenu.getObj("input0").innerHTML = this.getEmbedHTML();
		
		retro.reset();
		contenu.showPointage(this.iPointage);
	}
	function valider(bSilent){
		var sRetroAAfficher = "";
		var iPointage = 0;
		var iNbBRep = 0;
		
		if(!bSilent){
			this.iNbEssais++;
		}
		
		for(var i = 0;i < this.bFound.length;i++){
			if(this.bFound[i]){
				iNbBRep++;
			}
		}
		
		iPointage = (iNbBRep / this.bFound.length) * this.iPond;
		
		if(bSilent){
			return iPointage;
		}else{
			if(iPointage == this.iPond){
				this.sStatus = STATUS_REUSSIE;
			}else{
				this.sStatus = STATUS_AREPRENDRE;
			}
			
			if(iNbBRep == this.bFound.length){
				sRetroAAfficher = "<h1 class=\"RetroBRep\">" + sMsgBRep + "</h1><br><br>";
				sRetroAAfficher += "<h1 class=\"Retro\">" + this.sRetro + "</h1>";
			}else{
				sRetroAAfficher = "<h1 class=\"RetroRepInc\">" + sMsgRepInc + "</h1>";
			}
			
			retro.showHTML(sRetroAAfficher);
			this.setPointage(iPointage);
		}
	}
	function solution(){
		var sRetroAAfficher = "";
		var sEti = "";
		var iNbCol = 3;
		
		sRetroAAfficher = "<h1 class=\"RetroSolution\">" + sLblSolution + "</h1><br><br>";
		sRetroAAfficher += "<table border=\"0\" width=\"100%\" cellpadding=\"0\" cellspacing=\"0\">\n";
		
		for(var i = 0;i < this.sChoixA.length;i++){
			//***Afficher la solution
			switch(this.iTypeEti){
				case LETTRES:
					sEti = getLetter(i + 1).toUpperCase();
					break;
				case CHIFFRES:
					sEti = (i + 1);
					break;
				case NONE:
					sEti = "";
					break;
			}
			//Etiquette
			sRetroAAfficher += "<tr>\n";
			if(this.iTypeEti != NONE){
				sRetroAAfficher += "<td valign=\"top\" align=\"right\"><h1 class=\"RetroEtiquette\">" + sEti + ")</h1></td>";
				sRetroAAfficher += "<td valign=\"middle\"><img src=\"commun/spacer.gif\" width=\"10\" height=\"10\"></td>";
				
				iNbCol += 2;
			}
			
			//Choix
			if(this.iType == TEXTE_TEXTE || this.iType == TEXTE_IMAGE){
				sRetroAAfficher += "<td valign=\"top\" width=\"50%\"><h1 class=\"Retro\">" + this.sChoixA[i] + "&nbsp;&nbsp;</h1></td>";
			}else{
				sRetroAAfficher += "<td valign=\"top\" width=\"50%\"><h1 class=\"Retro\">" + imgManager.getImageTag("librairie/" + this.sChoixA[i],null,iMaxImgHeight,"") + "&nbsp;&nbsp;</h1></td>";
			}
			
			//Spacer
			sRetroAAfficher += "<td valign=\"middle\"><img src=\"commun/spacer.gif\" width=\"10\" height=\"10\"></td>";
			
			//Choix
			if(this.iType == TEXTE_TEXTE || this.iType == IMAGE_TEXTE){
				sRetroAAfficher += "<td valign=\"top\" width=\"50%\"><h1 class=\"Retro\">" + this.sChoixB[i] + "&nbsp;&nbsp;</h1></td>";
			}else{
				sRetroAAfficher += "<td valign=\"top\" width=\"50%\"><h1 class=\"Retro\">" + imgManager.getImageTag("librairie/" + this.sChoixB[i],null,iMaxImgHeight,"") + "&nbsp;&nbsp;</h1></td>";
			}
			
			sRetroAAfficher += "</tr>\n";
			
			//Line Spacer
			sRetroAAfficher += "<tr>\n";
			sRetroAAfficher += "<td valign=\"middle\" colspan=\"" + iNbCol + "\" width=\"100%\" height=\"7\"><img src=\"commun/spacer.gif\" width=\"20\" height=\"7\"></td>";
			sRetroAAfficher += "</tr>\n";
		}
		
		sRetroAAfficher += "</table>\n";
		
		retro.showHTML(sRetroAAfficher);
	}
	function reprendre(bSilent){
		for(var i = 0;i < this.bFound.length;i++){
			this.bFound[i] = false;
		}
	
		this.sStatus = STATUS_AFAIRE;
		
		if(bSilent){
			this.iPointage = -1;
		}else{
			this.showData();
			this.setPointage(-1);
		}
	}
	
	function setPond(i){
		this.iPond = i;
	}
	function getNomFichier(){
		return this.sNomFichier;
	}
	function setDecDelimiter(s){
		this.sDecDelimiter = s;
	}
	function setPointage(i){
		this.iPointage = i;
		contenu.showPointage(this.iPointage);
	}
	function getPointage(){
		return this.iPointage;
	}
	function getStatus(){
		return this.sStatus;
	}
	function getNbEssais(){
		return this.iNbEssais;
	}
	function getPonderation(){
		return this.iPond;
	}
	function getRepActToHTML(){
		var sToReturn = "";
		var sClass = "";
		var sEti = "";
		
		for(var i = 0;i < this.bFound.length;i++){
			switch(this.iTypeEti){
				case LETTRES:case NONE:
					
					sEti = getLetter(i + 1).toUpperCase();
					
					break;
				case CHIFFRES:
					sEti = (i + 1);
					break;
			}

			if(this.bFound[i]){
				sClass = "BRep";
			}else{
				sClass = "MRep";
			}
			
			sToReturn += "<font class=\"" + sClass + "\">" + sEti + "</font>&nbsp;&nbsp;";
		} 
		
		
		return sToReturn;
	}
	function getBRepToHTML(){
		var sToReturn = "";
		var sEti = "";
		
		sToReturn += "<table border=\"0\">\n";
		
		for(var i = 0;i < this.sChoixA.length;i++){	
			switch(this.iTypeEti){
				case LETTRES:case NONE:
					sEti = getLetter(i + 1).toUpperCase();
					break;
				case CHIFFRES:
					sEti = (i + 1);
					break;
			}	
			sToReturn += "<tr>\n";
			sToReturn += "<td valign=\"top\"><h1 class=\"RetroEtiquette\">" + sEti.toUpperCase() + ")&nbsp;&nbsp;</h1></td>";
			
			if(this.iType == TEXTE_TEXTE || this.iType == TEXTE_IMAGE){
				sToReturn += "<td valign=\"top\"><h1 class=\"Retro\">" + this.sChoixA[i] + "&nbsp;&nbsp;</h1></td>";
			}else{
				sToReturn += "<td valign=\"top\"><h1 class=\"Retro\"><img src=\"images/imageIcon.jpg\">&nbsp;&nbsp;" + this.sChoixA[i] + "</h1></td>";
			}
			
			if(this.iType == TEXTE_TEXTE || this.iType == IMAGE_TEXTE){
				sToReturn += "<td valign=\"top\"><h1 class=\"Retro\">" + this.sChoixB[i] + "&nbsp;&nbsp;</h1></td>";
			}else{
				sToReturn += "<td valign=\"top\"><h1 class=\"Retro\"><img src=\"images/imageIcon.jpg\" align=\"absmiddle\">&nbsp;&nbsp;" + this.sChoixB[i] + "</h1></td>";
			}
			sToReturn += "</tr>\n";
		}
		
		sToReturn += "</table>\n";
		
		return sToReturn;
	}
	function setID(i){
		this.iID = i;
	}
	function getID(){
		return this.iID;
	}
	//FONCTION SPECIFIQUE A MISE EN ORDRE
	function addChoix(sCA,sCB,sLogo){
		var iLastIndex = this.sChoixA.length;
		
		this.sChoixA[iLastIndex] = sCA;
		this.sChoixB[iLastIndex] = sCB;
		this.sLogo[iLastIndex] = sLogo;
		this.bFound[iLastIndex] = false;
	}
	function getEmbedHTML(){
		var sEmbedHTML = "";
		var sFlashVars = "";
		
		for(var i = 0;i < this.sChoixA.length;i++){
			sFlashVars += "CA" + i + "=" + encodeURIComponent(this.sChoixA[i]) + "&";
			sFlashVars += "CB" + i + "=" + encodeURIComponent(this.sChoixB[i]) + "&";
			sFlashVars += "PCA" + i + "=" + this.iChoixOrder[i] + "&";
			sFlashVars += "PCB" + i + "=" + this.iChoixOrder[i + this.sChoixA.length] + "&";
			sFlashVars += "L" + i + "=" + encodeURIComponent(this.sLogo[i]) + "&";
			if(this.bFound[i]){
				sFlashVars += "M" + i + "=" + (this.iAffichage == 0 ? 1 : 0) + "&";
			}else{
				sFlashVars += "M" + i + "=" + this.iAffichage + "&";
			}
		}
		sFlashVars += "N=" + this.sChoixA.length + "&";
		sFlashVars += "M=" + this.iAffichage + "&";
		sFlashVars += "BKGA=" + this.sBkgA + "&";
		sFlashVars += "BKGB=" + this.sBkgB + "&";
		sFlashVars += "TYPE=" + this.iType;
	
		sEmbedHTML += "<div id=\"flashDiv\" style=\"position:relative; width:1px; height:1px; z-index:1;\">";
		sEmbedHTML += "	<table height=\"100%\" width=\"100%\" border=\"0\" cellspacing=\"0\" cellpadding=\"0\">";
		sEmbedHTML += "		<tr><td> ";
		sEmbedHTML += "		<OBJECT classid=\"clsid:D27CDB6E-AE6D-11cf-96B8-444553540000\" codebase=\"http://download.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version=6,0,0,0\" WIDTH=\"100%\" HEIGHT=\"100%\" id=\"resizable2\" ALIGN=\"\" VIEWASTEXT>";
 		sEmbedHTML += "		<PARAM NAME=\"movie\" VALUE=\"damier.swf\"> ";
 		sEmbedHTML += "		<PARAM NAME=\"salign\" VALUE=\"LT\"> ";
		sEmbedHTML += "		<PARAM NAME=\"quality\" VALUE=\"high\"> ";
		sEmbedHTML += "		<PARAM NAME=\"scale\" VALUE=\"noscale\"> ";
		sEmbedHTML += "		<PARAM NAME=\"bgcolor\" VALUE=\"#FFFFFF\">";
		sEmbedHTML += "		<PARAM NAME=\"wmode\" VALUE=\"transparent\">";
		sEmbedHTML += "		<PARAM NAME=\"FlashVars\" VALUE=\"" + sFlashVars + "\">";
		sEmbedHTML += "		<EMBED src=\"damier.swf?" + sFlashVars + "\" quality=\"high\" scale=\"noscale\" bgcolor=\"#FFFFFF\" wmode=\"transparent\"  WIDTH=\"100%\" HEIGHT=\"100%\" NAME=\"resizable2\" SALIGN=\"LT\" TYPE=\"application/x-shockwave-flash\" PLUGINSPAGE=\"http://www.macromedia.com/go/getflashplayer\"></EMBED>";
		sEmbedHTML += "		</OBJECT>";
		sEmbedHTML += "		</td></tr>";
		sEmbedHTML += "	</table>";
		sEmbedHTML += "</div>";
		
		return sEmbedHTML;
	}
	function setType(i){
		this.iType = i;
	}
	function setBrotherhoodFound(i){
		this.bFound[i] = true;
	}
	function setAffichage(i){
		this.iAffichage = i;
	}
	function setRetro(s){
		this.sRetro = s;
	}
	function setBkgA(s){
		this.sBkgA = s;
	}
	function setBkgB(s){
		this.sBkgB = s;
	}
	function shuffle(){
		this.iChoixOrder = getShuffledOrder(this.sChoixA.length * 2);
	}
}