function QClosure(iNb,sNomF){
	//VARIABLE DU CONSTRUCTEUR
	this.sNomFichier = sNomF;//Nom du fichier IE : questionxxx.html
	this.iNbChoix = iNb;//Nombre de choix de reponse
	
	//AUTRES VARIABLE
	this.iBRep = new Array();
	this.iRepAct = new Array(iNb);
	this.sRepAct = new Array(iNb);
	this.sRetro = new Array(iNb);
	this.sChoix = new Array(iNb);
	this.sChoixS = new Array(iNb);
	this.sTexte = "";
	this.iType = SIMPLE;
	this.bShowChoix = false;
	
	for(var i = 0;i < iNb;i++){
		this.iRepAct[i] = -1;
	}
	for(var i = 0;i < iNb;i++){
		this.sRepAct[i] = "";
	}
	
	//VARIABLE COMMUNE
	this.iPond = 1;//Ponderation
	this.sDecDelimiter = ","; //Delimiteur de decimal
	this.iPointage = -1;
	this.sStatus = STATUS_AFAIRE;
	this.iNbEssais = 0;
	this.iID = 0;
	
	//DECLARATION DES FONCTIONS
	this.saveData = saveData;
	this.showData = showData;
	this.valider = valider;
	this.solution = solution;
	this.reprendre = reprendre;
	this.setPond = setPond;
	this.getNomFichier = getNomFichier;
	this.setDecDelimiter = setDecDelimiter;
	this.setPointage = setPointage;
	this.getStatus = getStatus;
	this.getNbEssais = getNbEssais;
	this.getPonderation = getPonderation;
	this.getPointage = getPointage;
	this.getRepActToHTML = getRepActToHTML;
	this.getBRepToHTML = getBRepToHTML;
	this.setID = setID;
	this.getID = getID;
	this.setShowChoix = setShowChoix;
	
	this.setBonneReponse = setBonneReponse;
	this.setChoix = setChoix;
	this.setRetro = setRetro;
	this.setTexte = setTexte;
	this.setType = setType;
	this.generateRandomChoixList = generateRandomChoixList;
	
	return this;
	
	//FONCTION COMMUNES A TOUTES LES QUESTIONS
	function saveData(){
		if(this.iType == SIMPLE){
			for(var i = 0;i < this.iNbChoix;i++){
				this.sRepAct[i] = contenu.getObj("input" + i).value;
			}
		}else{
			for(var i = 0;i < this.iNbChoix;i++){
				this.iRepAct[i] = parseInt(contenu.getObj("input" + i).value);
			}
		}
	}
	function showData(){
		//Ajout 14 novembre 2005
		var sHTML = "";
		var sInputTag = "";
		var sHTMLChoix = "";
		
		sHTML =  "<p class=\"TexteClosure\">";
		sHTML += this.sTexte;
		
		
		for(var i = 0;i < this.iNbChoix;i++){
			if(this.iType == SIMPLE){
				sInputTag = "<input type=\"text\" id=\"input" + i + "\">";
				
				if(this.bShowChoix){
					sHTMLChoix += this.sChoixS[i][0] + " / ";
				}
			}else{
				sInputTag =  "<select id=\"input" + i + "\">";
				sInputTag += "<option value=\"-1\">&nbsp;</option>";
				for(var j = 0;j < this.sChoix[i].length;j++){
					sInputTag += "<option value=\"" + j + "\">" + this.sChoix[i][j] + "</option>";
				}
				sInputTag += "</select>";
			}
			
			sHTML = sHTML.replace("%input" + completeNumber(i,5), sInputTag);
		}
		
		sHTML += "</p>";
		
		if(this.bShowChoix){
			sHTML += "<br><br><br><div align=\"center\"><table class=\"ChoixClosure\" border=\"0\" cellpadding=\"10\" cellspacing=\"0\"><tr><td><h1 class=\"Choix\">" + sHTMLChoix.substr(0,sHTMLChoix.length - 2) + "</td></tr></table></div></h1>";
		}
		
		contenu.getObj("tdContent").innerHTML = sHTML;
		
		if(this.iType == SIMPLE){
			for(var i = 0;i < this.iNbChoix;i++){
				contenu.getObj("input" + i).value = this.sRepAct[i];
			}
		}else{
			for(var i = 0;i < this.iNbChoix;i++){
				contenu.getObj("input" + i).options[(this.iRepAct[i] + 1)].selected = true;
			}
		}
		
		retro.reset();
		contenu.showPointage(this.iPointage);
	}
	function valider(bSilent){
		var sRetroAAfficher = "";
		var iNbBRep = 0;
		var iPointage = 0;
		var bRepInc = false;
		var sEti = "";
		var sRetro = "";
		var sBulletImg = "";
		var sRetroToDisplay = "";
		var sRepToDisplay = "";
		var sMsgStyleClass = "";
		var iNbCol = 5;
		var sRepToValidate = "";
		
		if(!bSilent){
			this.saveData();
			this.iNbEssais++;
		}
		
		sRetroAAfficher += "<table border=\"0\" width=\"100%\" cellpadding=\"0\" cellspacing=\"0\">\n";
		
		for(var i = 0;i < this.iNbChoix;i++){
			var sMsg = "";
			var sRetro = "";
			var bFound = false;
			
			if(this.iType == SIMPLE){
				//***Effectuer la correction et choisir la retro
				sRepToValidate = cleanForValid(this.sRepAct[i]);
				
				if(sRepToValidate == ""){
					sBulletImg = "jaune.jpg";
					sRetroToDisplay = "";
					sRepToDisplay = "-";
					bRepInc = true;
				}else if(sRepToValidate == cleanForValid(this.sChoix[i][0])){
					sBulletImg = "vert.jpg";
					sRetroToDisplay = this.sRetro[i][0];
					sRepToDisplay = this.sChoix[i][0];
					iNbBRep++;
				}else{
					sBulletImg = "rouge.jpg";
					
					for(var j = 0;j < this.sChoix[i].length;j++){
						if(sRepToValidate == cleanForValid(this.sChoix[i][j])){
							sRetroToDisplay = this.sRetro[i][j];
							sRepToDisplay = this.sChoix[i][j];
							bFound = true;	
						}
					}
					
					if(!bFound){
						sRetroToDisplay = this.sRetro[i][(this.sRetro[i].length - 1)];
						sRepToDisplay = this.sRepAct[i];
					}
				}
				
				//Bullet
				sRetroAAfficher += "<tr>\n";
				sRetroAAfficher += "<td valign=\"top\"><img src=\"commun/" + sBulletImg + "\"></td>";
				sRetroAAfficher += "<td valign=\"middle\"><img src=\"commun/spacer.gif\" width=\"10\" height=\"10\"></td>";
				
				//Choix
				sRetroAAfficher += "<td valign=\"top\" width=\"30%\"><h1 class=\"Retro\">" + sRepToDisplay + "&nbsp;&nbsp;</h1></td>";
				
				//Spacer
				sRetroAAfficher += "<td valign=\"middle\"><img src=\"commun/spacer.gif\" width=\"20\" height=\"10\"></td>";
				
				//Feedback
				sRetroAAfficher += "<td valign=\"top\" width=\"70%\"><h1 class=\"Retro\">" + sRetroToDisplay + "</h1></td>";
				
				sRetroAAfficher += "</tr>\n";
				
				//Line Spacer
				sRetroAAfficher += "<tr>\n";
				sRetroAAfficher += "<td valign=\"middle\" colspan=\"" + iNbCol + "\" width=\"100%\" height=\"7\"><img src=\"commun/spacer.gif\" width=\"20\" height=\"7\"></td>";
				sRetroAAfficher += "</tr>\n";

			}else{
				//***Effectuer la correction et choisir la retro
				if(this.iRepAct[i] == -1){
					sBulletImg = "jaune.jpg";
					sRetroToDisplay = "";
					sRepToDisplay = "-";
					bRepInc = true;
				}else if(this.iRepAct[i] == this.iBRep[i]){
					sBulletImg = "vert.jpg";
					sRetroToDisplay = this.sRetro[i][this.iRepAct[i]];
					sRepToDisplay = this.sChoix[i][this.iRepAct[i]];
					iNbBRep++;
				}else{
					sBulletImg = "rouge.jpg";
					sRetroToDisplay = this.sRetro[i][this.iRepAct[i]];
					sRepToDisplay = this.sChoix[i][this.iRepAct[i]];
				}
				
				//Bullet
				sRetroAAfficher += "<tr>\n";
				sRetroAAfficher += "<td valign=\"top\"><img src=\"commun/" + sBulletImg + "\"></td>";
				sRetroAAfficher += "<td valign=\"middle\"><img src=\"commun/spacer.gif\" width=\"10\" height=\"10\"></td>";
				
				//Choix
				sRetroAAfficher += "<td valign=\"top\" width=\"30%\"><h1 class=\"Retro\">" + sRepToDisplay + "&nbsp;&nbsp;</h1></td>";
				
				//Spacer
				sRetroAAfficher += "<td valign=\"middle\"><img src=\"commun/spacer.gif\" width=\"20\" height=\"10\"></td>";
				
				//Feedback
				sRetroAAfficher += "<td valign=\"top\" width=\"70%\"><h1 class=\"Retro\">" + sRetroToDisplay + "</h1></td>";
				
				sRetroAAfficher += "</tr>\n";
				
				//Line Spacer
				sRetroAAfficher += "<tr>\n";
				sRetroAAfficher += "<td valign=\"middle\" colspan=\"" + iNbCol + "\" width=\"100%\" height=\"7\"><img src=\"commun/spacer.gif\" width=\"20\" height=\"7\"></td>";
				sRetroAAfficher += "</tr>\n";
			}
		}
		
		
		sRetroAAfficher += "</table>\n";
		
		if(bRepInc){
			sMsg = sMsgRepInc;
			sMsgStyleClass = "RetroRepInc";
		}else if(iNbBRep < this.sChoix.length){
			sMsg = sMsgMRep;
			sMsgStyleClass = "RetroMRep";
		}else{
			sMsg = sMsgBRep;
			sMsgStyleClass = "RetroBRep";
		}
		
		sRetroAAfficher = "<h1 class=\"" + sMsgStyleClass + "\">" + sMsg + "</h1><br><br>" + sRetroAAfficher;
		
		iPointage = getRound((iNbBRep / this.iNbChoix) * this.iPond,2);
		
		if(bSilent){
			return iPointage;
		}else{
			if(iPointage == this.iPond){
				this.sStatus = STATUS_REUSSIE;
			}else{
				this.sStatus = STATUS_AREPRENDRE;
			}
			
			retro.showHTML(sRetroAAfficher);
			this.setPointage(iPointage);
		}
	}
	function solution(){
		var sT = this.sTexte;
		
		if(this.iType == SIMPLE){
			for(var i = 0;i < this.iNbChoix;i++){
				sT = sT.replace("%input" + completeNumber(i,5), "<b>" + this.sChoix[i][0] + "</b>");
			}
		}else{
			for(var i = 0;i < this.iNbChoix;i++){
				sT = sT.replace("%input" + completeNumber(i,5), "<b>" + this.sChoix[i][this.iBRep[i]] + "</b>");
			}
		}
		
		var sRetroAAfficher = "";
		
		sRetroAAfficher = "<h1 class=\"RetroSolution\">" + sLblSolution + "</h1><br><br>";
		sRetroAAfficher += "<table border=\"0\">\n";
		sRetroAAfficher += "<tr>\n";
		sRetroAAfficher += "<td><h1 class=\"Retro\">" + sT + "&nbsp;&nbsp;</h1></td>";
		sRetroAAfficher += "</tr>\n";
		sRetroAAfficher += "</table>\n";
		
		retro.showHTML(sRetroAAfficher);
	}
	function reprendre(bSilent){
		if(this.iType == SIMPLE){
			for(var i = 0;i < this.iNbChoix;i++){
				this.sRepAct[i] = "";
			}	
		}else{
			for(var i = 0;i < this.iNbChoix;i++){
				this.iRepAct[i] = -1;
			}
		}
		
		this.sStatus = STATUS_AFAIRE;
		
		if(bSilent){
			this.iPointage = -1;
		}else{
			this.showData();
			this.setPointage(-1);
		}
	}
	
	function setPond(i){
		this.iPond = i;
	}
	function getNomFichier(){
		return this.sNomFichier;
	}
	function setDecDelimiter(s){
		this.sDecDelimiter = s;
	}
	function setPointage(i){
		this.iPointage = i;
		contenu.showPointage(this.iPointage);
		top.ccdmd_O.scormWp_O.setQuestionScore_V((this.getID() + 1),this.iPointage,this.getPonderation());
	}
	function getPointage(){
		return this.iPointage;
	}
	function getStatus(){
		return this.sStatus;
	}
	function getNbEssais(){
		return this.iNbEssais;
	}
	function getPonderation(){
		return this.iPond;
	}
	function getRepActToHTML(){
		var sToReturn = "";
		var sClass = "";
		
		if(this.iType == SIMPLE){
			for(var i = 0;i < this.sChoix.length;i++){
				if(this.sRepAct[i] == this.sChoix[i][0]){
					sClass = "BRep";
				}else{
					sClass = "MRep";
				}
				
				sToReturn += "<font class=\"" + sClass + "\">" + this.sRepAct[i] + "</font>&nbsp;&nbsp;";
			}
		}else{
			for(var i = 0;i < this.sChoix.length;i++){
				if(this.iRepAct[i] == this.iBRep[i]){
					sClass = "BRep";
				}else{
					sClass = "MRep";
				}
				
				sToReturn += "<font class=\"" + sClass + "\">" + this.sChoix[i][this.iRepAct[i]] + "</font>&nbsp;&nbsp;";
			}
		}
		
		return sToReturn;
	}
	function getBRepToHTML(){
		var sClass = "";
		var sT = this.sTexte;
		
		if(this.iType == SIMPLE){
			for(var i = 0;i < this.iNbChoix;i++){
				sT = sT.replace("%input" + completeNumber(i,5), "<font class=\"BRep\">" + this.sChoix[i][0] + "</font>");
			}
		}else{
			for(var i = 0;i < this.iNbChoix;i++){
				sT = sT.replace("%input" + completeNumber(i,5), "<font class=\"BRep\">" + this.sChoix[i][this.iBRep[i]] + "</font>");
			}
		}
		
		return sT;
	}
	function setID(i){
		this.iID = i;
	}
	function getID(){
		return this.iID;
	}
	//FONCTION SPECIFIQUE A CLOSURE
	function setBonneReponse(iA){
		this.iBRep = iA;
	}
	function setChoix(i,s){
		this.sChoix[i] = s;
		this.generateRandomChoixList();
	}
	function setRetro(i,s){
		this.sRetro[i] = s;
	}
	function setTexte(s){
		this.sTexte = s;
	}
	function setType(i){
		this.iType = i;
	}
	function setShowChoix(b){
		this.bShowChoix = b;
	}
	function generateRandomChoixList(){
		var iShuffledOrder;
	
		iShuffledOrder = getShuffledOrder(this.sChoix.length);
		this.sChoixS = copyArray(this.sChoix);
		
		for(var i = 0;i < this.sChoix.length;i++){
			this.sChoixS[iShuffledOrder[i]] = this.sChoix[i];
		}
	}
}