function QZone(sNomF){
	//VARIABLE DU CONSTRUCTEUR
	this.sNomFichier = sNomF;//Nom du fichier IE : questionxxx.html
	
	//AUTRES VARIABLE
	this.sChoix = new Array();
	this.oChoixImg = new Array();   
	this.sMRepRetro = new Array();
	this.sBRepRetro = new Array();
	this.sCoord = new Array(); 
	this.iPChoix = new Array();
	this.iType = TEXTE;
	this.sImg = "";
	this.iImgW = 0;
	this.iImgH = 0;
	this.iLabelW = 25;
	this.iLabelH = 25;
	this.sBorderColor = "000000";
	
	//VARIABLE COMMUNE
	this.iPond = 1;//Ponderation
	this.sDecDelimiter = ","; //Delimiteur de decimal
	this.iPointage = -1;
	this.iTypeEti = LETTRES; 
	this.sStatus = STATUS_AFAIRE;
	this.iNbEssais = 0;
	this.iID = 0;
	
	//DECLARATION DES FONCTIONS
	this.saveData = saveData;
	this.showData = showData;
	this.valider = valider;
	this.solution = solution;
	this.reprendre = reprendre;
	this.setPond = setPond;
	this.getNomFichier = getNomFichier;
	this.setDecDelimiter = setDecDelimiter;
	this.setPointage = setPointage;
	this.getStatus = getStatus;
	this.getNbEssais = getNbEssais;
	this.getPonderation = getPonderation;
	this.getPointage = getPointage;
	this.getRepActToHTML = getRepActToHTML;
	this.getBRepToHTML = getBRepToHTML;
	this.setImgSize = setImgSize;
	this.setLabelSize = setLabelSize;
	this.setID = setID;
	this.getID = getID;
	this.setBorderColor = setBorderColor;
	
	this.addChoix = addChoix;
	this.getEmbedHTML = getEmbedHTML;
	this.setType = setType;
	this.setTypeEtiquette = setTypeEtiquette;
	this.setImage = setImage;
	this.shuffle = shuffle;
	this.setChoixPos = setChoixPos;
	
	return this;
	
	//FONCTION COMMUNES A TOUTES LES QUESTIONS
	function saveData(){
		
	}
	function showData(){
		var sChoixAct = "";
		var sInputHTML = "";
		
		sInputHTML = "<br><table width=\"100%\" cellpadding=\"0\" cellspacing=\"0\" border=\"0\">\n";
	
		for(var i = 0;i < this.sChoix.length;i++){
			//contenu.getObj("input" + i).checked = this.iRepAct[i];	
			switch(this.iTypeEti){
				case LETTRES:
					sEti = getLetter(i + 1).toUpperCase() + ")&nbsp;&nbsp;";
					break;
				case CHIFFRES:
					sEti = (i + 1) + ")&nbsp;&nbsp;";
					break;
				case NONE:
					sEti = "";
					break;
			}
			
			if(this.iType == TEXTE){
				sChoixAct = this.sChoix[i];
			}else{
				//sChoixAct = "<img src=\"librairie/" + this.sChoix[i] + "\" align=\"absmiddle\">&nbsp;&nbsp;";
				sChoixAct = imgManager.getImageTag("librairie/" + this.sChoix[i],null,iMaxImgHeight,"align=\"absmiddle\"");
			}
			
			sInputHTML += "<tr>\n";
			sInputHTML += "	<td width=\"50\" height=\"20\" align=\"left\" valign=\"middle\"><h1 class=\"Lettre\">" + sEti + "</h1>\n";
			sInputHTML += "	</td>\n";
			sInputHTML += "	<td width=\"100%\" height=\"20\" align=\"left\" valign=\"middle\"><h1 class=\"Choix\">" + sChoixAct + "</h1>\n";
			sInputHTML += "	</td>\n";
			sInputHTML += "</tr>\n";
			sInputHTML += "<tr>\n";
			sInputHTML += "	<td align=\"left\" width=\"100%\" height=\"20\" colspan=\"2\">&nbsp;</td>\n";
			sInputHTML += "</tr>\n";
		}
		
		sInputHTML += "</table>";
		
		contenu.getObj("input0").innerHTML = this.getEmbedHTML(false,false) + "\n" + sInputHTML;
		//alert(this.getEmbedHTML(false) + "\n" + sInputHTML);
		retro.reset();
		contenu.showPointage(this.iPointage);
	}
	function valider(bSilent){
		var sRetroAAfficher = "";
		var iNbBRep = 0;
		var iPointage = 0;
		var bRepInc = false;
		var sEti = "";
		var sRetro = "";
		var sBulletImg = "";
		var sRetroToDisplay = "";
		var sRepToDisplay = "";
		var sMsgStyleClass = "";
		var iNbCol = 5;
		
		if(!bSilent){
			this.saveData();
			this.iNbEssais++;
		}
		
		sRetroAAfficher += "<table border=\"0\" width=\"100%\" cellpadding=\"0\" cellspacing=\"0\">\n";
		
		for(var i = 0;i < this.iPChoix.length;i++){
			var sMsg = "";
			var sRetro = "";
			
			//***Effectuer la correction et choisir la retro
			if(this.iPChoix[i] == i){
				sBulletImg = "vert.jpg";
				if(this.iType == TEXTE){
					sRepToDisplay = this.sChoix[i];
				}else{
					sRepToDisplay = imgManager.getImageTag("librairie/" + this.sChoix[i],null,iMaxImgHeight,"");
				}
				sRetroToDisplay = this.sBRepRetro[i];
			
				iNbBRep++;
			}else if(this.iPChoix[i] == -1){
				sBulletImg = "jaune.jpg";
				sRepToDisplay = "-";
				sRetroToDisplay = "";
				bRepInc = true;
			}else{
				sBulletImg = "rouge.jpg";
				if(this.iType == TEXTE){
					sRepToDisplay = this.sChoix[i];
				}else{
					sRepToDisplay = imgManager.getImageTag("librairie/" + this.sChoix[i],null,iMaxImgHeight,"");
				}
				sRetroToDisplay = this.sMRepRetro[i];
			}
			
			//***Afficher la validation
			switch(this.iTypeEti){
				case LETTRES:
					sEti = getLetter(i + 1).toUpperCase();
					break;
				case CHIFFRES:
					sEti = (i + 1);
					break;
				case NONE:
					sEti = "";
					break;
			}
			
			//Bullet et etiquette
			sRetroAAfficher += "<tr>\n";
			sRetroAAfficher += "<td valign=\"top\"><img src=\"commun/" + sBulletImg + "\"></td>";
			sRetroAAfficher += "<td valign=\"middle\"><img src=\"commun/spacer.gif\" width=\"10\" height=\"10\"></td>";
			
			if(this.iTypeEti != NONE){
				sRetroAAfficher += "<td valign=\"top\" align=\"right\"><h1 class=\"RetroEtiquette\">" + sEti + ")</h1></td>";
				sRetroAAfficher += "<td valign=\"middle\"><img src=\"commun/spacer.gif\" width=\"10\" height=\"10\"></td>";
				
				iNbCol += 2;
			}
			
			//Choix
			sRetroAAfficher += "<td valign=\"top\" width=\"50%\"><h1 class=\"Retro\">" + sRepToDisplay + "&nbsp;&nbsp;</h1></td>";
			
			//Spacer
			sRetroAAfficher += "<td valign=\"middle\"><img src=\"commun/spacer.gif\" width=\"20\" height=\"10\"></td>";
			
			//Feedback
			sRetroAAfficher += "<td valign=\"top\" width=\"50%\"><h1 class=\"Retro\">" + sRetroToDisplay + "</h1></td>";
			
			sRetroAAfficher += "</tr>\n";
			
			//Line Spacer
			sRetroAAfficher += "<tr>\n";
			sRetroAAfficher += "<td valign=\"middle\" colspan=\"" + iNbCol + "\" width=\"100%\" height=\"7\"><img src=\"commun/spacer.gif\" width=\"20\" height=\"7\"></td>";
			sRetroAAfficher += "</tr>\n";
		}
		
		
		sRetroAAfficher += "</table>\n";
		
		if(bRepInc){
			sMsg = sMsgRepInc;
			sMsgStyleClass = "RetroRepInc";
		}else if(iNbBRep < this.iPChoix.length){
			sMsg = sMsgMRep;
			sMsgStyleClass = "RetroMRep";
		}else{
			sMsg = sMsgBRep;
			sMsgStyleClass = "RetroBRep";
		}
		
		sRetroAAfficher = "<h1 class=\"" + sMsgStyleClass + "\">" + sMsg + "</h1><br><br>" + sRetroAAfficher;
		
		iPointage = (iNbBRep / this.sChoix.length) * this.iPond;
		
		if(bSilent){
			return iPointage;
		}else{
			if(iPointage == this.iPond){
				this.sStatus = STATUS_REUSSIE;
			}else{
				this.sStatus = STATUS_AREPRENDRE;
			}
			
			retro.showHTML(sRetroAAfficher);
			this.setPointage(iPointage);
		}
	}
	function solution(){
		var sRetroAAfficher = "";
		
		sRetroAAfficher = "<h1 class=\"RetroSolution\">" + sLblSolution + "</h1><br><br>";
		sRetroAAfficher += this.getEmbedHTML(true,false);
		
		retro.showHTML(sRetroAAfficher);
	}
	function reprendre(bSilent){
		for(var i = 0;i < this.iPChoix.length;i++){
			this.iPChoix[i] = -1;
		}
		
		this.sStatus = STATUS_AFAIRE;
		
		if(bSilent){
			this.iPointage = -1;
		}else{
			this.showData();
			this.setPointage(-1);
		}
	}
	function setPond(i){
		this.iPond = i;
	}
	function getNomFichier(){
		return this.sNomFichier;
	}
	function setDecDelimiter(s){
		this.sDecDelimiter = s;
	}
	function setPointage(i){
		this.iPointage = i;
		contenu.showPointage(this.iPointage);
		top.ccdmd_O.scormWp_O.setQuestionScore_V((this.getID() + 1),this.iPointage,this.getPonderation());
	}
	function getPointage(){
		return this.iPointage;
	}
	function getStatus(){
		return this.sStatus;
	}
	function getNbEssais(){
		return this.iNbEssais;
	}
	function getPonderation(){
		return this.iPond;
	}
	function getRepActToHTML(){
		var sToReturn = "";
		var sClass = "";
		
		for(var i = 0;i < this.iPChoix.length;i++){
			switch(this.iTypeEti){
				case LETTRES:case NONE:
					sEti = getLetter(i + 1).toUpperCase();
					break;
				case CHIFFRES:
					sEti = (i + 1);
					break;
			}
			
			if(this.iPChoix[i] == i){
				sClass = "BRep";
			}else{
				sClass = "MRep";
			}
			
			sToReturn += "<font class=\"" + sClass + "\">" + sEti + "</font>&nbsp;&nbsp;";
		} 
		
		return sToReturn;
	}
	function getBRepToHTML(){
		var toReturn = "<table width=\"100%\" cellpadding=\"0\" cellspacing=\"0\" border=\"0\">\n";
	
		for(var i = 0;i < this.sChoix.length;i++){
			//contenu.getObj("input" + i).checked = this.iRepAct[i];	
			switch(this.iTypeEti){
				case LETTRES:
					sEti = getLetter(i + 1).toUpperCase();
					break;
				case CHIFFRES:
					sEti = (i + 1);
					break;
				case NONE:
					sEti = "";
					break;
			}
			
			toReturn += "<tr>\n";
			toReturn += "	<td width=\"50\" height=\"20\" align=\"left\" valign=\"middle\"><font class=\"Lettre\">" + sEti + ")&nbsp;&nbsp;</font>\n";
			toReturn += "	</td>\n";
			toReturn += "	<td width=\"100%\" height=\"20\" align=\"left\" valign=\"middle\"><font class=\"Choix\">" + this.sChoix[i] + "</font>\n";
			toReturn += "	</td>\n";
			toReturn += "</tr>\n";
		}
		
		toReturn += "</table>";
		
		return toReturn;
	}
	function setImgSize(iW,iH){
		this.iImgW = iW;
		this.iImgH = iH;
	}
	function setID(i){
		this.iID = i;
	}
	function getID(){
		return this.iID;
	}
	//FONCTION SPECIFIQUE A ASSOCIATION
	function addChoix(sC,sBR,sMR,sCo){
		var iLastIndex = this.sChoix.length;
		
		this.sChoix[iLastIndex] = sC;  
		this.sMRepRetro[iLastIndex] = sMR;
		this.sBRepRetro[iLastIndex] = sBR;
		this.sCoord[iLastIndex] = sCo;
		this.iPChoix[iLastIndex] = -1;
	}
	function getEmbedHTML(bShowSolution,bEmpty){
		var sEmbedHTML = "";
		var sFlashVars = "";
		
		for(var i = 0;i < this.sChoix.length;i++){
			sFlashVars += "C" + i + "=" + this.sCoord[i] + "&";
			sFlashVars += "PC" + i + "=" + this.iPChoix[i] + "&";
		}
		sFlashVars += "N=" + this.sChoix.length + "&";
		if(!bEmpty){
			sFlashVars += "IMG=" + this.sImg + "&";
		}
		sFlashVars += "EW=" + this.iImgW + "&";
		sFlashVars += "EH=" + this.iImgH + "&";
		sFlashVars += "LW=" + this.iLabelW + "&";
		sFlashVars += "LH=" + this.iLabelH + "&";
		sFlashVars += "BC=0x" + this.sBorderColor + "&";
		
		sFlashVars += "SS=" + (bShowSolution ? "1" : "0") + "&";
		sFlashVars += "TypeEti=" + this.iTypeEti;
		
		sEmbedHTML += "<div id=\"flashDiv\" style=\"position:relative; width:1px; height:1px; z-index:1;\">";
		sEmbedHTML += "	 <table height=\"100%\" width=\"100%\" border=\"0\" cellspacing=\"0\" cellpadding=\"0\">";
		sEmbedHTML += "		<tr><td> ";
		sEmbedHTML += "		<OBJECT classid=\"clsid:D27CDB6E-AE6D-11cf-96B8-444553540000\" codebase=\"http://download.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version=6,0,0,0\" WIDTH=\"100%\" HEIGHT=\"100%\" id=\"resizable2\" ALIGN=\"\" VIEWASTEXT>";
 		sEmbedHTML += "		<PARAM NAME=\"movie\" VALUE=\"zone.swf\"> ";
 		sEmbedHTML += "		<PARAM NAME=\"salign\" VALUE=\"LT\"> ";
		sEmbedHTML += "		<PARAM NAME=\"quality\" VALUE=\"high\"> ";
		sEmbedHTML += "		<PARAM NAME=\"scale\" VALUE=\"noscale\"> ";
		sEmbedHTML += "		<PARAM NAME=\"bgcolor\" VALUE=\"#FFFFFF\">";
		sEmbedHTML += "		<PARAM NAME=\"wmode\" VALUE=\"transparent\">";
		sEmbedHTML += "		<PARAM NAME=\"FlashVars\" VALUE=\"" + sFlashVars + "\">";
		sEmbedHTML += "		<EMBED src=\"zone.swf?" + sFlashVars + "\" quality=\"high\" scale=\"noscale\" bgcolor=\"#FFFFFF\" wmode=\"transparent\"  WIDTH=\"100%\" HEIGHT=\"100%\" NAME=\"resizable2\" SALIGN=\"LT\" TYPE=\"application/x-shockwave-flash\" PLUGINSPAGE=\"http://www.macromedia.com/go/getflashplayer\"></EMBED>";
		sEmbedHTML += "		</OBJECT>";
		sEmbedHTML += "		</td></tr>";
		sEmbedHTML += "	  </table>";
		sEmbedHTML += "</div>";
		
		return sEmbedHTML;
	}
	function setType(i){
		this.iType = i;
	}
	function setTypeEtiquette(i){
		this.iTypeEti = i;
	}
	function setChoixPos(iC,iP){
		this.iPChoix[iC] = iP;
	}
	function setImage(s){
		this.sImg = s;
	}
	function setLabelSize(iW,iH){
		this.iLabelW = iW;
		this.iLabelH = iH;
	}
	function setBorderColor(s){
		this.sBorderColor = s;
	}
	function shuffle(){
		var iShuffledOrder = getShuffledOrder(this.sChoix.length);
		var sChoixO = copyArray(this.sChoix);
		var sMRepRetroO = copyArray(this.sMRepRetro);
		var sBRepRetroO = copyArray(this.sBRepRetro);
		var sCoordO = copyArray(this.sCoord);
			
		for(var i = 0;i < this.sChoix.length;i++){
			this.sChoix[iShuffledOrder[i]] = sChoixO[i];
			this.sMRepRetro[iShuffledOrder[i]] = sMRepRetroO[i];
			this.sBRepRetro[iShuffledOrder[i]] = sBRepRetroO[i];
			this.sCoord[iShuffledOrder[i]] = sCoordO[i];
			
		}
	}
}