function QMiseEnOrdre(sNomF){
	//VARIABLE DU CONSTRUCTEUR
	this.sNomFichier = sNomF;//Nom du fichier IE : questionxxx.html
	
	//AUTRES VARIABLE
	this.sChoix = new Array();
	this.oChoixImg = new Array();
	this.iPChoix = new Array(); //position des choix
	this.iPChoixDep = new Array();
	this.sMRepRetro = new Array(); //Array des retro des mauvaise rep
	this.sBRepRetro = new Array(); //Array des retro des bonne rep
	this.sCID = new Array();
	this.iShuffledOrder = new Array();
	this.iType = TEXTE;
	
	
	//VARIABLE COMMUNE
	this.iPond = 1;//Ponderation
	this.sDecDelimiter = ","; //Delimiteur de decimal
	this.iPointage = -1;
	this.iTypeEti = 0;
	this.sStatus = STATUS_AFAIRE;
	this.iNbEssais = 0;
	this.iID = 0;
	this.iIDType = 5;
	
	//DECLARATION DES FONCTIONS
	this.saveData = saveData;
	this.showData = showData;
	this.valider = valider;
	this.solution = solution;
	this.reprendre = reprendre;
	this.setPond = setPond;
	this.getNomFichier = getNomFichier;
	this.setDecDelimiter = setDecDelimiter;
	this.setPointage = setPointage;
	this.getStatus = getStatus;
	this.getNbEssais = getNbEssais;
	this.getPonderation = getPonderation;
	this.getPointage = getPointage;
	this.getRepActToHTML = getRepActToHTML;
	this.getBRepToHTML = getBRepToHTML;
	this.setID = setID;
	this.getID = getID;
	
	this.setNo = setID;
	this.getNo = getID;
	
	this.addChoix = addChoix;
	this.getMRetroForChoicePos = getMRetroForChoicePos;
	this.getEmbedHTML = getEmbedHTML;
	this.setType = setType;
	this.setTypeEtiquette = setTypeEtiquette;
	this.setChoixPos = setChoixPos;
	this.shuffle = shuffle;
	this.getRealId = getRealId;
	this.unshuffle = unshuffle;
	
	this.postResult = postResult;
	
	return this;
	
	//FONCTION COMMUNES A TOUTES LES QUESTIONS
	function saveData(){
		
	}
	function showData(){
		contenu.getObj("input0").innerHTML = this.getEmbedHTML();
		
		retro.reset();
		contenu.showPointage(this.iPointage);
	}
	function valider(bSilent){
		var sRetroAAfficher = "";
		var iPointage = 0;
		var iNbBRep = 0;
		var sChoixOrdreActuel = new Array();
		var sEti = "";
		var sRetro = "";
		var sBulletImg = "";
		var sMsg = "";
		var iNbCol = 5;
		
		if(!bSilent){
			this.iNbEssais++;
		}
		
		sRetroAAfficher += "<table border=\"0\" width=\"100%\" cellpadding=\"0\" cellspacing=\"0\">\n";
		
		for(var i = 0;i < this.iPChoix.length;i++){
			sChoixOrdreActuel[this.iPChoix[i]] = this.sChoix[i];
		}
		
		for(var i = 0;i < this.iPChoix.length;i++){
			//***Effectuer la correction et choisir la retro
			if(this.iPChoix[i] == i){
				sRetro = this.sBRepRetro[i];
				sBulletImg = "vert.jpg";
				iNbBRep++;
			}else{
				sRetro = this.getMRetroForChoicePos(i);
				sBulletImg = "rouge.jpg";
			}
			
			//***Afficher la validation
			switch(this.iTypeEti){
				case LETTRES:
					sEti = getLetter(i + 1).toUpperCase();
					break;
				case CHIFFRES:
					sEti = (i + 1);
					break;
				case NONE:
					sEti = "";
					break;
			}
			//Bullet et etiquette
			sRetroAAfficher += "<tr>\n";
			sRetroAAfficher += "<td valign=\"top\"><img src=\"commun/" + sBulletImg + "\"></td>";
			sRetroAAfficher += "<td valign=\"middle\"><img src=\"commun/spacer.gif\" width=\"10\" height=\"10\"></td>";
			if(this.iTypeEti != NONE){
				sRetroAAfficher += "<td valign=\"top\" align=\"right\"><h1 class=\"RetroEtiquette\">" + sEti + ")</h1></td>";
				sRetroAAfficher += "<td valign=\"middle\"><img src=\"commun/spacer.gif\" width=\"10\" height=\"10\"></td>";
				
				iNbCol += 2;
			}
			
			//Choix
			if(this.iType == TEXTE_TEXTE || this.iType == IMAGE_TEXTE){
				sRetroAAfficher += "<td valign=\"top\" width=\"50%\"><h1 class=\"Retro\">" + sChoixOrdreActuel[i] + "&nbsp;&nbsp;</h1></td>";
			}else{
				sRetroAAfficher += "<td valign=\"top\" width=\"50%\"><h1 class=\"Retro\">" + imgManager.getImageTag("librairie/" + sChoixOrdreActuel[i],null,iMaxImgHeight,"") + "&nbsp;&nbsp;</h1></td>";
			}
			
			//Spacer
			sRetroAAfficher += "<td valign=\"middle\"><img src=\"commun/spacer.gif\" width=\"20\" height=\"10\"></td>";
			
			//Feedback
			sRetroAAfficher += "<td valign=\"top\" width=\"50%\"><h1 class=\"Retro\">" + sRetro + "</h1></td>";
			
			sRetroAAfficher += "</tr>\n";
			
			//Line Spacer
			sRetroAAfficher += "<tr>\n";
			sRetroAAfficher += "<td valign=\"middle\" colspan=\"" + iNbCol + "\" width=\"100%\" height=\"7\"><img src=\"commun/spacer.gif\" width=\"20\" height=\"7\"></td>";
			sRetroAAfficher += "</tr>\n";
		}
		
		sRetroAAfficher += "</table>\n";
		
		if(iNbBRep < this.sChoix.length){
			sMsg = sMsgMRep;
			sMsgStyleClass = "RetroMRep";
		}else{
			sMsg = sMsgBRep;
			sMsgStyleClass = "RetroBRep";
		}
		
		sRetroAAfficher = "<h1 class=\"" + sMsgStyleClass + "\">" + sMsg + "</h1><br><br>" + sRetroAAfficher;

		iPointage = (iNbBRep / this.sChoix.length) * this.iPond;
		
		if(bSilent && this.iNbEssais == 0){
			return 0;
		}else if(bSilent){
			return iPointage;
		}else{
			if(iPointage == this.iPond){
				this.sStatus = STATUS_REUSSIE;
			}else{
				this.sStatus = STATUS_AREPRENDRE;
			}
			
			retro.showHTML(sRetroAAfficher);
			this.setPointage(iPointage);
		}
	}
	function solution(){
		var sRetroAAfficher = "";
		var sEti = "";
		var iNbCol = 1;
		
		sRetroAAfficher = "<h1 class=\"RetroSolution\">" + sLblSolution + "</h1><br><br>";
		sRetroAAfficher += "<table border=\"0\" width=\"100%\" cellpadding=\"0\" cellspacing=\"0\">\n";
		
		for(var i = 0;i < this.iPChoix.length;i++){
			//***Afficher la solution
			switch(this.iTypeEti){
				case LETTRES:
					sEti = getLetter(i + 1).toUpperCase();
					break;
				case CHIFFRES:
					sEti = (i + 1);
					break;
				case NONE:
					sEti = "";
					break;
			}
			//Etiquette
			sRetroAAfficher += "<tr>\n";
			if(this.iTypeEti != NONE){
				sRetroAAfficher += "<td valign=\"top\" align=\"right\"><h1 class=\"RetroEtiquette\">" + sEti + ")</h1></td>";
				sRetroAAfficher += "<td valign=\"middle\"><img src=\"commun/spacer.gif\" width=\"10\" height=\"10\"></td>";
				
				iNbCol += 2;
			}
			
			//Choix
			if(this.iType == TEXTE_TEXTE || this.iType == IMAGE_TEXTE){
				sRetroAAfficher += "<td valign=\"top\" width=\"100%\"><h1 class=\"Retro\">" + this.sChoix[i] + "&nbsp;&nbsp;</h1></td>";
			}else{
				sRetroAAfficher += "<td valign=\"top\" width=\"100%\"><h1 class=\"Retro\">" + imgManager.getImageTag("librairie/" + this.sChoix[i],null,iMaxImgHeight,"") + "&nbsp;&nbsp;</h1></td>";
			}
			
			sRetroAAfficher += "</tr>\n";
			
			//Line Spacer
			sRetroAAfficher += "<tr>\n";
			sRetroAAfficher += "<td valign=\"middle\" colspan=\"" + iNbCol + "\" width=\"100%\" height=\"7\"><img src=\"commun/spacer.gif\" width=\"20\" height=\"7\"></td>";
			sRetroAAfficher += "</tr>\n";
		}
		
		sRetroAAfficher += "</table>\n";
		
		retro.showHTML(sRetroAAfficher);
	}
	function reprendre(bSilent){
		for(var i = 0;i < this.iPChoixDep.length;i++){
			this.iPChoix[i] = this.iPChoixDep[i];
		}
	
		this.sStatus = STATUS_AFAIRE;

		if(bSilent){
			this.iPointage = -1;
		}else{
			this.showData();
			this.setPointage(-1);
		}
	}
	
	function setPond(i){
		this.iPond = i;
	}
	function getNomFichier(){
		return this.sNomFichier;
	}
	function setDecDelimiter(s){
		this.sDecDelimiter = s;
	}
	function setPointage(i){
		this.iPointage = i;
		contenu.showPointage(this.iPointage);
	}
	function getPointage(){
		return this.iPointage;
	}
	function getStatus(){
		return this.sStatus;
	}
	function getNbEssais(){
		return this.iNbEssais;
	}
	function getPonderation(){
		return this.iPond;
	}
	function getRepActToHTML(){
		var sToReturn = "";
		var sClass = "";
		
		for(var i = 0;i < this.iPChoix.length;i++){
			switch(this.iTypeEti){
				case LETTRES:case NONE:
					sEti = getLetter(this.iPChoix[i] + 1).toUpperCase();
					break;
				case CHIFFRES:
					sEti = (this.iPChoix[i] + 1);
					break;
			}
			
			if(this.iPChoix[i] == i){
				sClass = "BRep";
			}else{
				sClass = "MRep";
			}
			
			sToReturn += "<font class=\"" + sClass + "\">" + sEti + "</font>&nbsp;&nbsp;";
		} 
		
		return sToReturn;
	}
	function getBRepToHTML(){
		var sToReturn = "";
		var sEti = "";
		
		sToReturn += "<table border=\"0\">\n";
		
		for(var i = 0;i < this.iPChoix.length;i++){
			switch(this.iTypeEti){
				case LETTRES:
					sEti = getLetter(i + 1).toUpperCase();
					break;
				case CHIFFRES:
					sEti = (i + 1);
					break;
				case NONE:
					sEti = "";
					break;
			}
		
			sToReturn += "<tr>\n";
			sToReturn += "<td valign=\"top\"><font class=\"RetroEtiquette\">" + sEti + ")&nbsp;&nbsp;</font></td>";
			
			if(this.iType == 0){
				sToReturn += "<td valign=\"top\"><font class=\"Retro\">" + this.sChoix[i] + "&nbsp;&nbsp;</font></td>";
			}else{
				sToReturn += "<td valign=\"top\"><font class=\"Retro\"><img src=\"images/imageIcon.jpg\">&nbsp;&nbsp;" + this.sChoix[i] + "</font></td>";
			}
			
			sToReturn += "</tr>\n";
		}
		
		sToReturn += "</table>\n";
		
		return sToReturn;
	}
	function setID(i){
		this.iID = i;
	}
	function getID(){
		return this.iID;
	}
	//FONCTION SPECIFIQUE A MISE EN ORDRE
	function getMRetroForChoicePos(iPos){
		for(var i = 0;i < this.iPChoix.length;i++){
			if(this.iPChoix[i] == iPos){
				return this.sMRepRetro[i];
			}
		}
	}
	function addChoix(sC,iP,sBR,sMR,sCID){
		var iLastIndex = this.sChoix.length;
		
		this.sChoix[iLastIndex] = sC;
		this.iPChoix[iLastIndex] = iP;
		this.iPChoixDep[iLastIndex] = iP;
		this.sBRepRetro[iLastIndex] = sBR;
		this.sMRepRetro[iLastIndex] = sMR;
		this.sCID[iLastIndex] = sCID;
		this.iShuffledOrder[iLastIndex] = iLastIndex;
	}
	function getEmbedHTML(){
		var sEmbedHTML = "";
		var sFlashVars = "";
		
		for(var i = 0;i < this.sChoix.length;i++){
			sFlashVars += "C" + i + "=" + encodeURIComponent(this.sChoix[i]) + "&";
			sFlashVars += "PC" + i + "=" + this.iPChoix[i] + "&";
		}
		
		if(navigator.userAgent.indexOf("MSIE") > -1){
			sFlashVars += "IE=1&";
		}else{
			sFlashVars += "IE=0&";
		}
		
		sFlashVars += "N=" + this.sChoix.length + "&";
		sFlashVars += "Type=" + this.iType + "&";
		sFlashVars += "TypeEti=" + this.iTypeEti;
	
		sEmbedHTML += "<div id=\"flashDiv\" style=\"position:relative; width:1px; height:1px; z-index:1;\">\n";
		sEmbedHTML += "	<table height=\"100%\" width=\"100%\" border=\"0\" cellspacing=\"0\" cellpadding=\"0\">\n";
		sEmbedHTML += "		<tr><td>\n";
		sEmbedHTML += "		<OBJECT classid=\"clsid:D27CDB6E-AE6D-11cf-96B8-444553540000\" codebase=\"http://download.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version=6,0,0,0\" WIDTH=\"100%\" HEIGHT=\"100%\" id=\"resizable2\" ALIGN=\"\" VIEWASTEXT>\n";
 		sEmbedHTML += "		<PARAM NAME=\"movie\" VALUE=\"miseenordre.swf\"> \n";
 		sEmbedHTML += "		<PARAM NAME=\"salign\" VALUE=\"LT\"> \n";
		sEmbedHTML += "		<PARAM NAME=\"quality\" VALUE=\"high\"> \n";
		sEmbedHTML += "		<PARAM NAME=\"scale\" VALUE=\"noscale\"> \n";
		sEmbedHTML += "		<PARAM NAME=\"bgcolor\" VALUE=\"#FFFFFF\">\n";
		sEmbedHTML += "		<PARAM NAME=\"wmode\" VALUE=\"transparent\">";
		sEmbedHTML += "		<PARAM NAME=\"FlashVars\" VALUE=\"" + sFlashVars + "\">\n";
		sEmbedHTML += "		<EMBED src=\"miseenordre.swf?" + sFlashVars + "\" quality=\"high\" scale=\"noscale\" bgcolor=\"#FFFFFF\" wmode=\"transparent\"  WIDTH=\"100%\" HEIGHT=\"100%\" NAME=\"resizable2\" SALIGN=\"LT\" TYPE=\"application/x-shockwave-flash\" PLUGINSPAGE=\"http://www.macromedia.com/go/getflashplayer\"></EMBED>\n";
		sEmbedHTML += "		</OBJECT>\n";
		sEmbedHTML += "		</td></tr>\n";
		sEmbedHTML += "	</table>\n";
		sEmbedHTML += "</div>\n";
		
		return sEmbedHTML;
	}
	function setType(i){
		this.iType = i;
	}
	function setTypeEtiquette(i){
		this.iTypeEti = i;
	}
	function setChoixPos(iC,iPos){
		this.iPChoix[iC] = iPos;
		retro.reset();
	}
	function setImageSmallSize(sImg,iW,iH){
		this.iImagesWidth[sImg] = iW;
		this.iImagesHeight[sImg] = iH;
	}
	function shuffle(){
		this.iShuffledOrder = getShuffledOrder(this.sChoix.length);
		
		this.iPChoix = copyArray(this.iShuffledOrder);
		this.iPChoixDep = copyArray(this.iShuffledOrder);
	}
	function unshuffle(a){
		var toReturn = new Array();
	
		for(var i = 0;i < a.length;i++){
			toReturn[this.getRealId(i)] = a[i];
		}
		
		return toReturn;
	}
	function getRealId(iShuffled){
		for(var i = 0;i < this.iShuffledOrder.length;i++){
			if(this.iShuffledOrder[i] == iShuffled){
				return i;
			}
		}
	}
	//FUNCTION GESTION
	function postResult(sNextPage,bFinal){
		//Create form
		var sValidScriptURL = sMGURL + "/" + sValidScript;
		var sCIDs = "";
		var sCIDOrdreActuel = new Array();
		
		for(var i = 0;i < this.iPChoix.length;i++){
			sCIDOrdreActuel[this.iPChoix[i]] = this.sCID[i];
		}
		
		for(var i = 0;i < sCIDOrdreActuel.length;i++){
			sCIDs += sCIDOrdreActuel[i] + ",";
		}
		
		var sFormHTML = "<form method=\"post\" action=\"" + sValidScriptURL + "\" id=\"postForm\">";
		sFormHTML += getHiddenInput("NextPage",sNextPage);
		sFormHTML += getHiddenInput("IDParticipant",iIDParticipant);
		sFormHTML += getHiddenInput("NoQuestion",this.iID);
		sFormHTML += getHiddenInput("QuizIdent",sQuizIdent);
		sFormHTML += getHiddenInput("QuizVersion",sQuizVersion);
		sFormHTML += getHiddenInput("TypeQuestion",this.iIDType);
		sFormHTML += getHiddenInput("Reponse",sCIDs);
		if(bFinal){
			sFormHTML += getHiddenInput("Final","1");
		}
		sFormHTML += "</form>";
		
		//Put the form in page
		contenu.getObj("postFormTD").innerHTML = sFormHTML;
		
		//Submit
		//alert(sFormHTML);
		contenu.getObj("postForm").submit();
		
		//contenu.location.href = sNextPage;
	}
}