function QMultiple(iType,sNomF){
	//VARIABLE DU CONSTRUCTEUR
	this.iTypeMultiple = iType; //Type de question CHOIX_MULTIPLE ou REPONSES_MULTIPLE
	this.sNomFichier = sNomF;//Nom du fichier IE : questionxxx.html
	
	//AUTRES VARIABLE
	this.iBRep = new Array(0); //Array des bonnes reponses
	this.iRepAct = new Array(); //Array des choix de reponse actuellement cochs
	this.sChoix = new Array(); //Array des choix de reponses
	this.sRetro = new Array(); //Array des retroactions
	this.sCID = new Array();
	this.bTousBRepO = true; //Si tous les bonnes reponses doivent etre donnes
	this.iShuffledOrder = new Array();
	
	//VARIABLE COMMUNE
	this.iPond = 1;//Ponderation
	this.iType = TEXTE;
	this.iTypeEti = LETTRES; //Type detiquette ABC par defaut
	this.sDecDelimiter = ","; //Delimiteur de decimal
	this.iPointage = -1;
	this.sStatus = STATUS_AFAIRE;
	this.iNbEssais = 0;
	this.iID = 0;
	this.iIDType = 0;
	
	//DECLARATION DES FONCTIONS
	this.saveData = saveData;
	this.showData = showData;
	this.valider = valider;
	this.setTousBRepO = setTousBRepO;
	this.setPond = setPond;
	this.getNomFichier = getNomFichier;
	this.setType = setType;
	this.setTypeEtiquette = setTypeEtiquette;
	this.setDecDelimiter = setDecDelimiter;
	this.solution = solution;
	this.reprendre = reprendre;
	this.setPointage = setPointage;
	this.getPointage = getPointage;
	this.getRepActToHTML = getRepActToHTML;
	this.getBRepToHTML = getBRepToHTML;
	this.setID = setID;
	this.getID = getID;
	
	this.setNo = setID;
	this.getNo = getID;
	
	this.shuffle = shuffle;
	this.addChoix = addChoix;
	this.getStatus = getStatus;
	this.getNbEssais = getNbEssais;
	this.getPonderation = getPonderation;
	this.getRealId = getRealId;
	this.unshuffle = unshuffle;
	
	this.postResult = postResult;
	
	return this;
	
	//FONCTION COMMUNES A TOUTES LES QUESTIONS
	function saveData(){
		for(var i = 0;i < this.sChoix.length;i++){
			this.iRepAct[i] = contenu.getObj("input" + i).checked;	
		}
	}
	function showData(){
		var sInputHTML = "";
		var sChecked = "";
		var sInputType = "";
		var sChoixAct = "";
		
		if(this.iTypeMultiple == CHOIX_MULTIPLES){
			sInputType = "radio";
		}else{
			sInputType = "checkbox";
		}
		
		sInputHTML = "<form action=\"#\" id=\"frmChoix\">\n";
		sInputHTML += "<table width=\"100%\" cellpadding=\"0\" cellspacing=\"0\" border=\"0\">\n";
	
		for(var i = 0;i < this.sChoix.length;i++){
			//contenu.getObj("input" + i).checked = this.iRepAct[i];	
			switch(this.iTypeEti){
				case LETTRES:
					sEti = getLetter(i + 1).toUpperCase() + ")&nbsp;&nbsp;";
					break;
				case CHIFFRES:
					sEti = (i + 1) + ")&nbsp;&nbsp;";
					break;
				case NONE:
					sEti = "";
					break;
			}
			if(this.iRepAct[i]){
				sChecked = " checked";
			}else{
				sChecked = "";
			}
			
			if(this.iType == TEXTE){
				sChoixAct = this.sChoix[i];
			}else{
				//sChoixAct = "<img src=\"librairie/" + this.sChoix[i] + "\" align=\"absmiddle\">&nbsp;&nbsp;";
				sChoixAct = imgManager.getImageTag("librairie/" + this.sChoix[i],null,iMaxImgHeight,"align=\"absmiddle\"");
			}
			
			sInputHTML += "<tr>";
			sInputHTML += "	<td width=\"50\" align=\"left\" valign=\"top\"><h1 class=\"Lettre\">" + sEti + "</h1>";
			sInputHTML += "	</td>";
			sInputHTML += "	<td align=\"left\" valign=\"top\"><input type=\"" + sInputType + "\" id=\"input" + i + "\" value=\"" + i + "\" name=\"rdo\"" + sChecked + ">";
			sInputHTML += "	</td>";
			sInputHTML += "	<td align=\"left\" valign=\"top\"><img src=\"commun/spacer.gif\" width=\"5\" height=\"5\">";
			sInputHTML += "	</td>";
			sInputHTML += "	<td width=\"100%\" align=\"left\" valign=\"top\"><h1 class=\"Choix\">" + sChoixAct + "</h1>";
			sInputHTML += "	</td>";
			sInputHTML += "</tr>";
			sInputHTML += "<tr>";
			sInputHTML += "	<td align=\"left\" width=\"100%\" height=\"20\" colspan=\"4\">&nbsp;</td>";
			sInputHTML += "</tr>";
		}
		
		sInputHTML += "</table>";
		sInputHTML += "</form>";
		
		contenu.getObj("tdContent").innerHTML = sInputHTML;
		
		retro.reset();
		contenu.showPointage(this.iPointage);
	}
	function valider(bSilent){
		var iNbBRepDonnee = 0;
		var iNbMRepDonnee = 0;
		var iNbBRepRequis;
		var iPointage = 0;
		var sRetroAAfficher = "";
		var sEti = "";
		var sMsg = sMsgMRep;
		var iNbCol = 5;
		
		if(!bSilent){
			this.saveData();
			this.iNbEssais++;
		}
		
		sRetroAAfficher += "<table width=\"100%\" border=\"0\" cellpadding=\"0\"  cellspacing=\"0\">\n";
		
		for(var i = 0;i < this.iRepAct.length;i++){
			if(this.iRepAct[i]){
				//***Effectuer la validation
				if(isInArray(i,this.iBRep)){
					iNbBRepDonnee++;
					sBulletImg = "vert.jpg";
				}else{
					iNbMRepDonnee++;
					sBulletImg = "rouge.jpg";
				}
				
				//***Afficher la validation
				switch(this.iTypeEti){
					case LETTRES:
						sEti = getLetter(i + 1).toUpperCase();
						break;
					case CHIFFRES:
						sEti = (i + 1);
						break;
					case NONE:
						sEti = "";
						break;
				}
				
				//Bullet et etiquette
				sRetroAAfficher += "<tr>\n";
				sRetroAAfficher += "<td valign=\"top\"><img src=\"commun/" + sBulletImg + "\"></td>";
				sRetroAAfficher += "<td valign=\"middle\"><img src=\"commun/spacer.gif\" width=\"10\" height=\"10\"></td>";
				if(this.iTypeEti != NONE){
					sRetroAAfficher += "<td valign=\"top\" align=\"right\"><h1 class=\"RetroEtiquette\">" + sEti + ")</h1></td>";
					sRetroAAfficher += "<td valign=\"middle\"><img src=\"commun/spacer.gif\" width=\"10\" height=\"10\"></td>";
					
					iNbCol += 2;
				}
				
				//Choix
				if(this.iType == TEXTE){
					sRetroAAfficher += "<td valign=\"top\" width=\"50%\"><h1 class=\"Retro\">" + this.sChoix[i] + "&nbsp;&nbsp;</h1></td>";
				}else{
					sRetroAAfficher += "<td valign=\"top\" width=\"50%\"><h1 class=\"Retro\">" + imgManager.getImageTag("librairie/" + this.sChoix[i],null,iMaxImgHeight,"") + "&nbsp;&nbsp;</h1></td>";
				}
				
				//Spacer
				sRetroAAfficher += "<td valign=\"middle\"><img src=\"commun/spacer.gif\" width=\"20\" height=\"10\"></td>";
				
				//Feedback
				sRetroAAfficher += "<td valign=\"top\" width=\"50%\"><h1 class=\"Retro\">" + this.sRetro[i] + "</h1></td>";
				
				sRetroAAfficher += "</tr>\n";
				
				//Line Spacer
				sRetroAAfficher += "<tr>\n";
				sRetroAAfficher += "<td valign=\"middle\" colspan=\"" + iNbCol + "\" width=\"100%\" height=\"7\"><img src=\"commun/spacer.gif\" width=\"20\" height=\"7\"></td>";
				sRetroAAfficher += "</tr>\n";
			}
		}
		sRetroAAfficher += "</table>\n";	
		
		if((iNbMRepDonnee == 0) && (iNbBRepDonnee == 0)){
			sMsg = sMsgRepInc;
			sMsgStyleClass = "RetroRepInc";
		}else if(iNbMRepDonnee == 0){
			if((this.iTypeMultiple == CHOIX_MULTIPLES) || (!this.bTousBRepO)){
				sMsg = sMsgBRep;
				sMsgStyleClass = "RetroBRep";
			}else{
				if(iNbBRepDonnee == this.iBRep.length){
					sMsg = sMsgBRep;
					sMsgStyleClass = "RetroBRep";
				}else{
					sMsg = sMsgRepInc;
					sMsgStyleClass = "RetroRepInc";
				}
			}
		}else{
			sMsg = sMsgMRep;
			sMsgStyleClass = "RetroMRep";
		}
		
		sRetroAAfficher = "<h1 class=\"" + sMsgStyleClass + "\">" + sMsg + "</h1><br><br>" + sRetroAAfficher;
		
		if((this.iTypeMultiple == CHOIX_MULTIPLES) || (!this.bTousBRepO)){
			iNbBRepRequis = 1;
		}else{
			iNbBRepRequis = this.iBRep.length;
		}
		
		if(this.iTypeMultiple == REPONSES_MULTIPLES && !this.bTousBRepO){
		    var iNbMRep = this.sChoix.length - this.iBRep.length;
		
            dPondBRep = ((iNbBRepDonnee > 0) ? this.iPond : 0);
            dPondMRep = this.iPond / iNbMRep;
            
            iPointage = Math.max((dPondBRep - (dPondMRep * iNbMRepDonnee)),0);
        }else{
            
            iPointage = (Math.min(Math.max((iNbBRepDonnee - iNbMRepDonnee),0),iNbBRepRequis) / iNbBRepRequis) * this.iPond;  
        }
		
		if(bSilent){
			return iPointage;
		}else{
			if(iPointage == this.iPond){
				this.sStatus = STATUS_REUSSIE;
			}else{
				this.sStatus = STATUS_AREPRENDRE;
			}
			
			retro.showHTML(sRetroAAfficher);
			this.setPointage(iPointage);
		}
		
	}
	function solution(){
		var sRetroAAfficher = "";
		var sEti = "";
		var iNbCol = 1;
		
		sRetroAAfficher = "<h1 class=\"RetroSolution\">" + sLblSolution + "</h1><br><br>";
		sRetroAAfficher += "<table border=\"0\" width=\"100%\" cellpadding=\"0\" cellspacing=\"0\">\n";
		
		for(var i = 0;i < this.iBRep.length;i++){
			//***Afficher la solution
			switch(this.iTypeEti){
				case LETTRES:
					sEti = getLetter(this.iBRep[i] + 1).toUpperCase();
					break;
				case CHIFFRES:
					sEti = (this.iBRep[i] + 1);
					break;
				case NONE:
					sEti = "";
					break;
			}
			//Etiquette
			sRetroAAfficher += "<tr>\n";
			if(this.iTypeEti != NONE){
				sRetroAAfficher += "<td valign=\"top\" align=\"right\"><h1 class=\"RetroEtiquette\">" + sEti + ")</h1></td>";
				sRetroAAfficher += "<td valign=\"middle\"><img src=\"commun/spacer.gif\" width=\"10\" height=\"10\"></td>";
				
				iNbCol += 2;
			}
			
			//Choix
			if(this.iType == TEXTE){
				sRetroAAfficher += "<td valign=\"top\" width=\"100%\"><h1 class=\"Retro\">" + this.sChoix[this.iBRep[i]] + "&nbsp;&nbsp;</h1></td>";
			}else{
				sRetroAAfficher += "<td valign=\"top\" width=\"100%\"><h1 class=\"Retro\">" + imgManager.getImageTag("librairie/" + this.sChoix[this.iBRep[i]],null,iMaxImgHeight,"") + "&nbsp;&nbsp;</h1></td>";
			}
			
			sRetroAAfficher += "</tr>\n";
			
			//Line Spacer
			sRetroAAfficher += "<tr>\n";
			sRetroAAfficher += "<td valign=\"middle\" colspan=\"" + iNbCol + "\" width=\"100%\" height=\"7\"><img src=\"commun/spacer.gif\" width=\"20\" height=\"7\"></td>";
			sRetroAAfficher += "</tr>\n";
		}
		
		sRetroAAfficher += "</table>\n";
		
		retro.showHTML(sRetroAAfficher);
	}
	function reprendre(bSilent){
		for(var i = 0;i < this.sChoix.length;i++){
			this.iRepAct[i] = false;	
		}

		this.sStatus = STATUS_AFAIRE;

		if(bSilent){
			this.iPointage = -1;
		}else{
			this.showData();
			this.setPointage(-1);
		}
	}
	
	function setPond(i){
		this.iPond = i;
	}
	function getNomFichier(){
		return this.sNomFichier;
	}
	function setType(i){
		this.iType = i;
	}
	function setTypeEtiquette(i){
		this.iTypeEti = i;
	}
	function setDecDelimiter(s){
		this.sDecDelimiter = s;
	}
	function setPointage(i){
		this.iPointage = i;
		contenu.showPointage(this.iPointage);
	}
	function getPointage(){
		return this.iPointage;
	}
	function getStatus(){
		return this.sStatus;
	}
	function getNbEssais(){
		return this.iNbEssais;
	}
	function getPonderation(){
		return this.iPond;
	}
	function getRepActToHTML(){
		var sToReturn = "";
		var sEti = "";
		var iRepActUnshuffled = this.unshuffle(this.iRepAct);
		var iBRepUnshuffled = new Array();
		
		for(var i = 0;i < this.iBRep.length;i++){
			iBRepUnshuffled[i] = this.getRealId(this.iBRep[i]);
		}
		
		for(var i = 0;i < iRepActUnshuffled.length;i++){
			if(iRepActUnshuffled[i]){
				switch(this.iTypeEti){
					case LETTRES:case NONE:
						sEti = getLetter(i + 1).toUpperCase();
						break;
					case CHIFFRES:
						sEti = (i + 1);
						break;
				}
				
				if(isInArray(i,iBRepUnshuffled)){
					sClass = "BRep";
				}else{
					sClass = "MRep";
				}
				
				sToReturn += "<font class=\"" + sClass + "\">" + sEti + "</font>&nbsp;&nbsp;";
			}
		}
		
		return sToReturn;
	}
	function getBRepToHTML(){
		var sToReturn = "";
		var sEti = "";
		var sChoixUnshuffled = this.unshuffle(this.sChoix);
		var iBRepUnshuffled = new Array();
		
		for(var i = 0;i < this.iBRep.length;i++){
			iBRepUnshuffled[i] = this.getRealId(this.iBRep[i]);
		}
		
		for(var i = 0;i < sChoixUnshuffled.length;i++){
			switch(this.iTypeEti){
				case LETTRES:
					sEti = getLetter(i + 1).toUpperCase() + ")&nbsp;&nbsp;";
					break;
				case CHIFFRES:
					sEti = (i + 1) + ")&nbsp;&nbsp;";
					break;
				case NONE:
					sEti = "";
					break;
			}
			
			if(isInArray(i,iBRepUnshuffled)){
				sClass = "BRep";
			}else{
				sClass = "MRep";
			}
			
			if(this.iType == TEXTE){
				sToReturn += "<font class=\"" + sClass + "\">" + sEti + sChoixUnshuffled[i] + "</font><br>";
			}else{
				sToReturn += "<font class=\"" + sClass + "\">" + sEti + "<img src=\"librairie/imageicon.jpg\">sChoixUnshuffled[i]</font><br>";
			}
		}
		
		return sToReturn;
	}
	function setID(i){
		this.iID = i;
	}
	function getID(){
		return this.iID;
	}
	//FONCTION SPECIFIQUE A MULTIPLE
	function addChoix(sC,sR,sCID,bBRep){
		var iLastIndex = this.sChoix.length;
		
		this.sChoix[iLastIndex] = sC;
		this.sRetro[iLastIndex] = sR;
		this.sCID[iLastIndex] = sCID;
		this.iShuffledOrder[iLastIndex] = iLastIndex;
		
		if(bBRep){
			this.iBRep[this.iBRep.length] = iLastIndex; //push pas support par Netscape et MacIE
		}
	}
	function setTousBRepO(b){
		this.bTousBRepO = b;
	}
	function shuffle(){
		this.iShuffledOrder = getShuffledOrder(this.sChoix.length);
		var sChoixO = copyArray(this.sChoix);
		var sRetroO = copyArray(this.sRetro);
		var sCIDO = copyArray(this.sCID);
		
		for(var i = 0;i < this.sChoix.length;i++){
			this.sChoix[this.iShuffledOrder[i]] = sChoixO[i];
			this.sRetro[this.iShuffledOrder[i]] = sRetroO[i];
			this.sCID[this.iShuffledOrder[i]] = sCIDO[i];
		}
		for(var i = 0;i < this.iBRep.length;i++){
			this.iBRep[i] = this.iShuffledOrder[this.iBRep[i]];
		}
	}
	function unshuffle(a){
		var toReturn = new Array();
	
		for(var i = 0;i < a.length;i++){
			toReturn[this.getRealId(i)] = a[i];
		}
		
		return toReturn;
	}
	function getRealId(iShuffled){
		for(var i = 0;i < this.iShuffledOrder.length;i++){
			if(this.iShuffledOrder[i] == iShuffled){
				return i;
			}
		}
	}
	//FUNCTION GESTION
	function postResult(sNextPage,bFinal){
		//Create form
		var sValidScriptURL = sMGURL + "/" + sValidScript;
		var sCIDs = "";
		for(var i = 0;i < this.iRepAct.length;i++){
			if(this.iRepAct[i]){
				sCIDs += this.sCID[i] + ",";
			}
		}
		
		var sFormHTML = "<form method=\"post\" action=\"" + sValidScriptURL + "\" id=\"postForm\">";
		sFormHTML += getHiddenInput("NextPage",sNextPage);
		sFormHTML += getHiddenInput("IDParticipant",iIDParticipant);
		sFormHTML += getHiddenInput("NoQuestion",this.iID);
		sFormHTML += getHiddenInput("QuizIdent",sQuizIdent);
		sFormHTML += getHiddenInput("QuizVersion",sQuizVersion);
		sFormHTML += getHiddenInput("TypeQuestion",this.iIDType);
		sFormHTML += getHiddenInput("Reponse",sCIDs);
		if(bFinal){
			sFormHTML += getHiddenInput("Final","1");
		}
		sFormHTML += "</form>";
		
		//Put the form in page
		contenu.getObj("postFormTD").innerHTML = sFormHTML;
		
		//Submit
		//alert(contenu.getObj("postFormTD").innerHTML);
		contenu.getObj("postForm").submit();
		
	}
}