function QMultiple(iType,sNomF){
	//VARIABLE DU CONSTRUCTEUR
	this.iTypeMultiple = iType; //Type de question CHOIX_MULTIPLE ou REPONSES_MULTIPLE
	this.sNomFichier = sNomF;//Nom du fichier IE : questionxxx.html
	
	//AUTRES VARIABLE
	this.iRepAct = new Array(); //Array des choix de reponse actuellement cochs
	this.sChoix = new Array(); //Array des choix de reponses
	this.sCID = new Array();
	this.iShuffledOrder = new Array();
	
	//VARIABLE COMMUNE
	this.iPond = 1;
	this.iType = TEXTE;
	this.iTypeEti = LETTRES; //Type detiquette ABC par defaut
	this.sDecDelimiter = ","; //Delimiteur de decimal
	this.sStatus = STATUS_AFAIRE;
	this.iNbEssais = 0;
	this.iNo = 0;
	this.iIDType = 0;
	
	//DECLARATION DES FONCTIONS
	this.saveData = saveData;
	this.showData = showData;
	this.getNomFichier = getNomFichier;
	this.setType = setType;
	this.setTypeEtiquette = setTypeEtiquette;
	this.setDecDelimiter = setDecDelimiter;
	this.reprendre = reprendre;
	this.setPond = setPond;
	this.getPonderation = getPonderation;
	this.getRepActToHTML = getRepActToHTML;
	this.setNo = setNo;
	this.getNo = getNo;
	
	this.shuffle = shuffle;
	this.addChoix = addChoix;
	this.getStatus = getStatus;
	this.getNbEssais = getNbEssais;
	this.getRealId = getRealId;
	this.unshuffle = unshuffle;
	
	this.postResult = postResult;
	
	return this;
	
	//FONCTION COMMUNES A TOUTES LES QUESTIONS
	function saveData(){
		for(var i = 0;i < this.sChoix.length;i++){
			this.iRepAct[i] = contenu.getObj("input" + i).checked;	
		}
	}
	function showData(){
		var sInputHTML = "";
		var sChecked = "";
		var sInputType = "";
		var sChoixAct = "";
		
		if(this.iTypeMultiple == CHOIX_MULTIPLES){
			sInputType = "radio";
		}else{
			sInputType = "checkbox";
		}
		
		sInputHTML = "<form action=\"#\" id=\"frmChoix\">\n";
		sInputHTML += "<table width=\"100%\" cellpadding=\"0\" cellspacing=\"0\" border=\"0\">\n";
	
		for(var i = 0;i < this.sChoix.length;i++){
			//contenu.getObj("input" + i).checked = this.iRepAct[i];	
			switch(this.iTypeEti){
				case LETTRES:
					sEti = getLetter(i + 1).toUpperCase() + ")&nbsp;&nbsp;";
					break;
				case CHIFFRES:
					sEti = (i + 1) + ")&nbsp;&nbsp;";
					break;
				case NONE:
					sEti = "";
					break;
			}
			if(this.iRepAct[i]){
				sChecked = " checked";
			}else{
				sChecked = "";
			}
			
			if(this.iType == TEXTE){
				sChoixAct = this.sChoix[i];
			}else{
				//sChoixAct = "<img src=\"librairie/" + this.sChoix[i] + "\" align=\"absmiddle\">&nbsp;&nbsp;";
				sChoixAct = imgManager.getImageTag("librairie/" + this.sChoix[i],null,iMaxImgHeight,"align=\"absmiddle\"");
			}
			
			sInputHTML += "<tr>";
			sInputHTML += "	<td width=\"50\" align=\"left\" valign=\"top\"><h1 class=\"Lettre\">" + sEti + "</h1>";
			sInputHTML += "	</td>";
			sInputHTML += "	<td align=\"left\" valign=\"top\"><input type=\"" + sInputType + "\" id=\"input" + i + "\" value=\"" + i + "\" name=\"rdo\"" + sChecked + ">";
			sInputHTML += "	</td>";
			sInputHTML += "	<td align=\"left\" valign=\"top\"><img src=\"commun/spacer.gif\" width=\"5\" height=\"5\">";
			sInputHTML += "	</td>";
			sInputHTML += "	<td width=\"100%\" align=\"left\" valign=\"top\"><h1 class=\"Choix\">" + sChoixAct + "</h1>";
			sInputHTML += "	</td>";
			sInputHTML += "</tr>";
			sInputHTML += "<tr>";
			sInputHTML += "	<td align=\"left\" width=\"100%\" height=\"20\" colspan=\"4\">&nbsp;</td>";
			sInputHTML += "</tr>";
		}
		
		sInputHTML += "</table>";
		sInputHTML += "</form>";
		
		contenu.getObj("tdContent").innerHTML = sInputHTML;
		
		retro.reset();
		contenu.showPointage(this.iPointage);
	}
	function reprendre(bSilent){
		for(var i = 0;i < this.sChoix.length;i++){
			this.iRepAct[i] = false;	
		}

		this.sStatus = STATUS_AFAIRE;

		if(!bSilent){
			this.showData();
		}
	}
	function getNomFichier(){
		return this.sNomFichier;
	}
	function setType(i){
		this.iType = i;
	}
	function setTypeEtiquette(i){
		this.iTypeEti = i;
	}
	function getStatus(){
		return this.sStatus;
	}
	function getNbEssais(){
		return this.iNbEssais;
	}
	function setPond(i){
		this.iPond = i;
	}
	function setPond(i){
		this.iPond = i;
	} 
	function getPonderation(){
		return this.iPond;
	}
	function setDecDelimiter(s){
		this.sDecDelimiter = s;
	}
	function getRepActToHTML(){
		var sToReturn = "";
		var sEti = "";
		var iRepActUnshuffled = this.unshuffle(this.iRepAct);
		var iBRepUnshuffled = new Array();
		
		for(var i = 0;i < this.iBRep.length;i++){
			iBRepUnshuffled[i] = this.getRealId(this.iBRep[i]);
		}
		
		for(var i = 0;i < iRepActUnshuffled.length;i++){
			if(iRepActUnshuffled[i]){
				switch(this.iTypeEti){
					case LETTRES:case NONE:
						sEti = getLetter(i + 1).toUpperCase();
						break;
					case CHIFFRES:
						sEti = (i + 1);
						break;
				}
				
				if(isInArray(i,iBRepUnshuffled)){
					sClass = "BRep";
				}else{
					sClass = "MRep";
				}
				
				sToReturn += "<font class=\"" + sClass + "\">" + sEti + "</font>&nbsp;&nbsp;";
			}
		}
		
		return sToReturn;
	}
	function setNo(i){
		this.iNo = i;
	}
	function getNo(){
		return this.iNo;
	}
	//FONCTION SPECIFIQUE A MULTIPLE
	function addChoix(sC,sCID){
		var iLastIndex = this.sChoix.length;
		
		this.sChoix[iLastIndex] = sC;
		this.sCID[iLastIndex] = sCID;
		this.iShuffledOrder[iLastIndex] = iLastIndex;

	}
	function shuffle(){
		this.iShuffledOrder = getShuffledOrder(this.sChoix.length);
		var sChoixO = copyArray(this.sChoix);
		var sCIDO = copyArray(this.sCID);
		
		for(var i = 0;i < this.sChoix.length;i++){
			this.sChoix[this.iShuffledOrder[i]] = sChoixO[i];
			this.sCID[this.iShuffledOrder[i]] = sCIDO[i];
		}
	}
	function unshuffle(a){
		var toReturn = new Array();
	
		for(var i = 0;i < a.length;i++){
			toReturn[this.getRealId(i)] = a[i];
		}
		
		return toReturn;
	}
	function getRealId(iShuffled){
		for(var i = 0;i < this.iShuffledOrder.length;i++){
			if(this.iShuffledOrder[i] == iShuffled){
				return i;
			}
		}
	}
	//FUNCTION GESTION
	function postResult(sNextPage,bFinal){
		//Create form
		var sValidScriptURL = sMGURL + "/" + sValidScript;
		var sCIDs = "";
		for(var i = 0;i < this.iRepAct.length;i++){
			if(this.iRepAct[i]){
				sCIDs += this.sCID[i] + ",";
			}
		}
		
		var sFormHTML = "<form method=\"post\" action=\"" + sValidScriptURL + "\" id=\"postForm\">";
		sFormHTML += getHiddenInput("NextPage",sNextPage);
		sFormHTML += getHiddenInput("IDParticipant",iIDParticipant);
		sFormHTML += getHiddenInput("NoQuestion",this.iNo);
		sFormHTML += getHiddenInput("QuizIdent",sQuizIdent);
		sFormHTML += getHiddenInput("QuizVersion",sQuizVersion);
		sFormHTML += getHiddenInput("TypeQuestion",this.iIDType);
		sFormHTML += getHiddenInput("Reponse",sCIDs);
		if(bFinal){
			sFormHTML += getHiddenInput("Final","1");
		}
		sFormHTML += "</form>";
		
		//Put the form in page
		contenu.getObj("postFormTD").innerHTML = sFormHTML;
		
		//Submit
		//alert(sFormHTML);
		contenu.getObj("postForm").submit();
		
		//contenu.location.href = sNextPage;
	}
}